package com.demo.wjj.controller;

import com.demo.wjj.service.AgreementService;
import com.demo.wjj.utils.ApiResult;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("/agree")
@RestController
public class AgreementController {
    private final Logger LOG = LoggerFactory.getLogger(getClass());

    @Autowired
    private AgreementService agreementService;

    @GetMapping("/getAgreement")
    public ApiResult getAgreement() {
        LOG.info("调用获取协议信息(/agree/getAgreement)接口");
        try {
            ApiResult apiResult = agreementService.getInfo();
            LOG.info("apiResult="+apiResult);
            LOG.info("调用获取协议信息(/agree/getAgreement)接口成功");
            LOG.debug("调用获取协议信息(/agree/getAgreement), apiResult:{}", apiResult);
            return apiResult;
        } catch (Exception e) {
            LOG.error("调用获取协议信息(/agree/getAgreement)接口异常", e);
            return ApiResult.createFailure();
        }
    }
}
