package com.demo.wjj.controller;

import com.demo.wjj.po.Authentication;
import com.demo.wjj.po.DiggerAgent;
import com.demo.wjj.service.AuthenticationService;
import com.demo.wjj.service.DiggerAgentService;
import com.demo.wjj.service.QiNiuService;
import com.demo.wjj.utils.ApiResult;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.HashMap;
import java.util.Map;


/**
 * 车商用户认证
 * @author wangyandeng
 * @date 2019.06.10
 */
@SuppressWarnings("all")
@RequestMapping("/diggerDisplace")
@RestController
public class AuthenticationController {

    private final Logger LOG = LoggerFactory.getLogger(getClass());
    @Autowired
    private DiggerAgentService diggerAgentService;

    @Autowired
    private AuthenticationService authenticationService;
    /**
     * 保存车商审核信息
     *
     */
    @Autowired
    private QiNiuService qiNiuService;
    @PostMapping ("/save")
    public ApiResult save( Authentication authentication,
                          String openId,
                          String agentId

    ){
        LOG.info("调用保存车商审核信息(/authentication/save)接口,authentication:{}",authentication);

        try{
            Map map = new HashMap();
            String daId = diggerAgentService.getDiggerAgent(agentId,openId).getDaId();
            Authentication authenticationOld = authenticationService.selectByUserId(daId);

            if(authenticationOld!=null){
                authenticationService.delete(daId);
            }
            authentication.setUserId(daId);
            //authenticationService.selectOne(daId)
            authentication.setIsCheck(1);
            final boolean saveResult = authenticationService.save(authentication);
            ApiResult apiResult = saveResult ? ApiResult.createSuccess(null) : ApiResult.createFailure();
            diggerAgentService.updateState(daId);

            LOG.info("调用保存车商审核信息(/authentication/save)接口成功, apiResult:{}", apiResult);
            return apiResult;
        }catch (Exception e){
            LOG.error("调用保存车商审核信息(/authentication/save)接口异常", e);
            return ApiResult.createFailure();
        }
    }
    @GetMapping("/getOne")
    public ApiResult getOne(String id){
        try{
            Authentication authentication = authenticationService.selectOne(id);
            authentication.setIdCardImaPo(qiNiuService.getUrl(authentication.getIdCardImaPo()));
            authentication.setIdCardImaSi(qiNiuService.getUrl(authentication.getIdCardImaSi()));
            authentication.setHeadPortrait(qiNiuService.getUrl(authentication.getHeadPortrait()));
            LOG.info("调用查询报价用户信息(/authentication/save)接口成功,authentication :{}", authentication);
            return ApiResult.createSuccess(authentication);
        }catch (Exception e){
            LOG.error("调用查询报价用户信息(/authentication/save)接口异常",e);
            return ApiResult.createFailure();
        }
    }

    /**
     *查询车商已审核信息
     * @param agentId 商家id
     * @param openId 公众号id
     * @return
     */
    @GetMapping("/getAuthtication")
    public ApiResult getAuthtication(String agentId,String openId){
        try{
            LOG.info("调用查询车商已审核信息(/diggerDisplace/getAuthtication)接口, agentId:{}, openId:{}", agentId, openId);
            String daId = diggerAgentService.getDiggerAgent(agentId,openId).getDaId();
            Authentication authentication = authenticationService.selectByUserId(daId);
            Map map = new HashMap();
            map.put("status","0");
            Integer isCheck;
            if(authentication!=null){
                isCheck = authentication.getIsCheck();
                if(isCheck==3){
                    map.put("status","1");
                }else if(isCheck==2){
                    map.put("status","2");
                }
                map.put("authentication",authentication);

            }
            LOG.info("调用获取待开始的置换列表(/diggerDisplace/getAuthtication)接口成功");
            return ApiResult.createSuccess(map);


        }catch (Exception e){
            LOG.info("调用查询车商已审核信息(/diggerDisplace/getAuthtication)接口异常, e:{}", e);
            return ApiResult.createFailure();
        }

    }

}
