package com.demo.wjj.controller;

import com.demo.wjj.po.Brand;
import com.demo.wjj.po.DiggerAgent;
import com.demo.wjj.service.BrandService;
import com.demo.wjj.service.DiggerAgentService;
import com.demo.wjj.utils.ApiResult;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 品牌
 * @author wangqing
 * @date 2018.11.10
 */
@RequestMapping("/brand")
@RestController
public class BrandController {

    private final Logger LOG = LoggerFactory.getLogger(getClass());

    @Autowired
    private BrandService brandService;

    /**
     * 获取品牌
     * @return apiResult
     */
    @GetMapping("/getBrands")
    public ApiResult getBrands() {
        LOG.info("调用获取品牌(/brand/getBrands)接口");
        try {
            List<Brand> brands = brandService.queryBrandList();
            ApiResult<List<Brand>> apiResult = ApiResult.createSuccess(brands);
            LOG.info("调用获取品牌(/brand/getBrands)接口成功");
            LOG.debug("获取品牌(/brand/getBrands), apiResult:{}", apiResult);
            return apiResult;
        } catch (Exception e) {
            LOG.error("调用获取品牌(/brands/getBrands)接口异常", e);
            return ApiResult.createFailure();
        }
    }

}
