package com.demo.wjj.controller;


import com.demo.wjj.po.ImgItem;
import com.demo.wjj.service.TbImgItemService;
import com.demo.wjj.utils.ApiResult;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


@RequestMapping("/imgItem")
@RestController
public class ItemController {
    private final Logger LOG = LoggerFactory.getLogger(getClass());
    @Autowired
    private TbImgItemService tbImgItemService;
    @GetMapping("/getImgItemList")
    public ApiResult getImgItemList(@RequestParam(required = false) Integer type){
        LOG.info("调用获取信息(/imgItem/getImgItemList)接口, type:{}", type);
        if (type == null) {
            LOG.info("type为空");
            return ApiResult.createFailure();
        }
        try {
            List<ImgItem> imgItemList = tbImgItemService.selectAll(type);
            LOG.info("调用获取商家信息(/imgItem/getImgItemList)接口成功");
            return ApiResult.createSuccess(imgItemList);

        } catch (Exception e) {
            LOG.error("调用获取商家信息(/imgItem/getImgItemList)接口异常", e);
            return ApiResult.createFailure();
        }
    }
}
