package com.demo.wjj.controller;

import com.demo.wjj.po.Playbill;
import com.demo.wjj.service.PlaybillService;
import com.demo.wjj.utils.ApiResult;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@RequestMapping("/playbill")
@RestController
public class PlaybillController {
    private final Logger LOG = LoggerFactory.getLogger(getClass());

    @Autowired
    private PlaybillService playbillService;

    @GetMapping("/queryPlaybillList")
    public ApiResult queryPlaybillList(HttpServletRequest request) {
        LOG.info("调用获取海报列表(/playbill/queryPlaybillList)接口");

        try {
            ApiResult apiResult = playbillService.selectPlaybill();
            LOG.info("调用获取海报列表(/playbill/queryPlaybillList)接口成功");
            return apiResult;
        } catch (Exception e) {
            LOG.error("调用获取海报列表(/playbill/queryPlaybillList)接口异常", e);
            return ApiResult.createFailure();
        }
    }

}
