package com.demo.wjj.controller;

import com.demo.wjj.po.IntegralRecord;
import com.demo.wjj.po.PresentAndMoney;
import com.demo.wjj.po.Present;
import com.demo.wjj.po.Sale;
import com.demo.wjj.service.*;
import com.demo.wjj.utils.ApiResult;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.*;

@RestController
@RequestMapping("/diggerDisplace")
public class PresentController {
    private final Logger LOG = LoggerFactory.getLogger(getClass());
    @Autowired
    PresentService presentService;
    @Autowired
    DiggerAgentService diggerAgentService;
    @Autowired
    IntegralRecordService integralRecordService;
    @Autowired
    QiNiuService qiNiuService;
    @Autowired
    private SaleService saleService;

    /**
     * 获取礼品所有信息
     * @return
     */
    @GetMapping("/getAllPresent")
    public ApiResult getAllPresent(String userId){
        LOG.info("调用获取礼品表所有信息(/pre/getAllPresent)接口");
        try {
            List<Present> presents = presentService.selectPresentList(userId);
            if(presents!=null){
                for (int i = 0; i < presents.size(); i++) {
                    List list = Arrays.asList(presents.get(i).getImageUrl().split("#"));
                    List arrList = new ArrayList(list);
                    arrList.remove(0);
                    List imageList = new ArrayList();
                    for (int j = 0; j < arrList.size(); j++) {
                        String url = qiNiuService.getUrl(arrList.get(j).toString());
                        imageList.add(url);
                    }
                    String imageUrl = "";
                    for (int o = 0; o < imageList.size(); o++) {
                        imageUrl += "##" + imageList.get(o);
                    }
                    presents.get(i).setImageUrl(imageUrl);


                }
            }
            LOG.info("调用获取礼品表所有信息(/pre/getAllPresent)接口成功");
            return ApiResult.createSuccess(presents);
        }catch (Exception e){
            LOG.error("调用获取礼品表所有信息(/pre/getAllPresent)接口异常",e);
            return ApiResult.createFailure();
        }
    }
    @GetMapping("/getPresent")
    public ApiResult getPresent(@RequestParam(required = false) String id,
                                @RequestParam(required = false) String integral,
                                @RequestParam(required = false) String agentId,
                                @RequestParam(required = false) String openId){
        LOG.info("调用获取礼品表信息(/pre/getPresent)接口,id:{},integral",id,integral);
        try{
            Map map = new HashMap();
            // String name = presentService.selectPresent(Integer.parseInt(id)).getName();
            String daId = diggerAgentService.getDiggerAgent(agentId, openId).getDaId();
    /*        List<IntegralRecord> list = integralRecordService.select(daId);
            Map map = new HashMap();
            if(list!=null){
                for (int i = 0; i < list.size(); i++) {
                    if(list.get(i).getPresentName().equals(name)){
                        map.put("status","0");
                        return ApiResult.createSuccess(map);
                    }
                }
            }*/


            Integer pid = Integer.parseInt(id);
            Present present = presentService.selectPresent(pid);
            Integer amount = present.getAmount();
            int counts = integralRecordService.selectCounts(daId, id);
            if(counts>=amount){
                map.put("status","0");
                return ApiResult.createSuccess(map);
            }
            String str = present.getImageUrl();
            List list1 = Arrays.asList(str.split("#"));
            List arrList = new ArrayList(list1);
            arrList.remove(0);
            List imageList = new ArrayList();
            for (int j = 0; j < arrList.size(); j++) {
                String url = qiNiuService.getUrl(arrList.get(j).toString());
                imageList.add(url);
            }
            String imageUrl = "";
            for (int o = 0; o < imageList.size(); o++) {
                imageUrl += "##" + imageList.get(o);
            }
            present.setImageUrl(imageUrl);

            Integer integralNeed = present.getIntegral();
            Integer IntegerHave = Integer.parseInt(integral);
            Integer money;


            if(IntegerHave-integralNeed>=0){
                money =0;
            }else {
                double moneyOld =(double) (integralNeed-IntegerHave)/Integer.parseInt(present.getProportion());
                if(moneyOld<1){
                    money =1;
                }else {
                    money = (integralNeed-IntegerHave)/Integer.parseInt(present.getProportion());
                }

            }
            PresentAndMoney presentAndMoney = new PresentAndMoney();
            presentAndMoney.setMoney(money);
            presentAndMoney.setPresent(present);



            LOG.info("调用获取礼品表所有信息(/pre/getPresent)接口成功");
            return ApiResult.createSuccess(presentAndMoney);

        }catch (Exception e){
            LOG.error("调用获取礼品表所有信息(/pre/getPresent)接口异常",e);
            return ApiResult.createFailure();

        }

    }
    @GetMapping("/commodityDetails")
    public ApiResult getCommodityDetails(@RequestParam(required = false) String id,
                                         @RequestParam(required = false) String userId){
        LOG.info("调用礼品详情(/pre/commodityDetails)接口,id:{},userId:{}",id,userId);
        if(StringUtils.isBlank(id)){
            LOG.info("id为空");
            return ApiResult.createFailure();
        }
        if (StringUtils.isBlank(userId)){
            LOG.info("userId为空");
            return ApiResult.createFailure();
        }
        try {
            Map map = new HashMap();
            Integer integralAll = diggerAgentService.getOne(userId).getIntegral();
            Integer pid = Integer.parseInt(id);
            Present present = presentService.selectPresent(pid);
            map.put("present",present);
            map.put("integralAll",integralAll);
            Integer integralNeed = present.getIntegral();
            String proportion = present.getProportion();
            Integer spread = integralAll - integralNeed;
            if(spread<0){
                Integer integralSpread = -spread;
                Integer number = Integer.parseInt(proportion.split(":")[1]);
                int cash = integralSpread/number;
                map.put("cash",cash);
                LOG.info("调用礼品详情(/pre/commodityDetails)接口成功");
                return ApiResult.createSuccess(map);
            }else {

               map.put("cash",0);
                LOG.info("调用礼品详情(/pre/commodityDetails)接口成功");
               return ApiResult.createSuccess(map);
            }

        }catch (Exception e){
            LOG.info("调用礼品详情(/pre/commodityDetails)接口异常",e);
            return ApiResult.createFailure();

        }
    }

    /**
     * 获取销售员礼品接口
     * @param id
     * @param integral
     * @param agentId
     * @param openId
     * @return
     */
    @GetMapping("/getSalePresent")
    public ApiResult getSalePresent(@RequestParam(required = false) String id,
                                @RequestParam(required = false) String integral,
                                @RequestParam(required = false) String agentId,
                                @RequestParam(required = false) String openId){
        LOG.info("调用获取礼品表信息(/pre/getPresent)接口,id:{},integral",id,integral);
        try{
            Map map = new HashMap();
            Sale sale = saleService.getSale(agentId, openId);
            String daId = sale.getSaleId();

            Integer pid = Integer.parseInt(id);
            Present present = presentService.selectPresent(pid);
            Integer amount = present.getAmount();
            int counts = integralRecordService.selectCounts(daId, id);
            if(counts>=amount){
                map.put("status","0");
                return ApiResult.createSuccess(map);
            }
            String str = present.getImageUrl();
            List list1 = Arrays.asList(str.split("#"));
            List arrList = new ArrayList(list1);
            arrList.remove(0);
            List imageList = new ArrayList();
            for (int j = 0; j < arrList.size(); j++) {
                String url = qiNiuService.getUrl(arrList.get(j).toString());
                imageList.add(url);
            }
            String imageUrl = "";
            for (int o = 0; o < imageList.size(); o++) {
                imageUrl += "##" + imageList.get(o);
            }
            present.setImageUrl(imageUrl);

            Integer integralNeed = present.getIntegral();
            Integer IntegerHave = Integer.parseInt(integral);
            Integer money;


            if(IntegerHave-integralNeed>=0){
                money =0;
            }else {
                double moneyOld =(double) (integralNeed-IntegerHave)/Integer.parseInt(present.getProportion());
                if(moneyOld<1){
                    money =1;
                }else {
                    money = (integralNeed-IntegerHave)/Integer.parseInt(present.getProportion());
                }

            }
            PresentAndMoney presentAndMoney = new PresentAndMoney();
            presentAndMoney.setMoney(money);
            presentAndMoney.setPresent(present);



            LOG.info("调用获取礼品表所有信息(/pre/getPresent)接口成功");
            return ApiResult.createSuccess(presentAndMoney);

        }catch (Exception e){
            LOG.error("调用获取礼品表所有信息(/pre/getPresent)接口异常",e);
            return ApiResult.createFailure();

        }

    }

    /**
     * 获取销售员礼品详情接口
     * @param id
     * @param userId
     * @return
     */
    @GetMapping("/commoditySaleDetails")
    public ApiResult commoditySaleDetails(@RequestParam(required = false) String id,
                                         @RequestParam(required = false) String userId){
        LOG.info("调用礼品详情(/pre/commodityDetails)接口,id:{},userId:{}",id,userId);
        if(StringUtils.isBlank(id)){
            LOG.info("id为空");
            return ApiResult.createFailure();
        }
        if (StringUtils.isBlank(userId)){
            LOG.info("userId为空");
            return ApiResult.createFailure();
        }
        try {
            Map map = new HashMap();
            Sale sale = saleService.getSale(userId);
            Integer integralAll = sale.getIntegral();//diggerAgentService.getOne(userId).getIntegral();
            Integer pid = Integer.parseInt(id);
            Present present = presentService.selectPresent(pid);
            map.put("present",present);
            map.put("integralAll",integralAll);
            Integer integralNeed = present.getIntegral();
            String proportion = present.getProportion();
            Integer spread = integralAll - integralNeed;
            if(spread<0){
                Integer integralSpread = -spread;
                Integer number = Integer.parseInt(proportion.split(":")[1]);
                int cash = integralSpread/number;
                map.put("cash",cash);
                LOG.info("调用礼品详情(/pre/commodityDetails)接口成功");
                return ApiResult.createSuccess(map);
            }else {

                map.put("cash",0);
                LOG.info("调用礼品详情(/pre/commodityDetails)接口成功");
                return ApiResult.createSuccess(map);
            }

        }catch (Exception e){
            LOG.info("调用礼品详情(/pre/commodityDetails)接口异常",e);
            return ApiResult.createFailure();

        }
    }
}
