package com.demo.wjj.controller;

import com.demo.wjj.service.QiNiuService;
import com.demo.wjj.utils.ApiResult;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.*;
import java.net.URLEncoder;
import java.sql.Blob;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

/**
 * @author wangqing
 * @date 2018.11.14
 */
@RequestMapping("/seven")
@RestController
public class QiNiuController {

    private final Logger LOG = LoggerFactory.getLogger(getClass());

    @Autowired
    private QiNiuService qiNiuService;

    @GetMapping("/getToken")
    public ApiResult getToken() {
        LOG.info("调用获取七牛token(/seven/getToken)接口");
        try {
            String token = qiNiuService.getToken();
            Map<String, String> data = new HashMap<>(16);
            data.put("token", token);
            ApiResult<String> apiResult = ApiResult.createSuccess(token);
            LOG.info("调用获取七牛token(/seven/getToken)接口成功, apiResult:{}", apiResult);
            return apiResult;
        } catch (Exception e) {
            LOG.error("调用获取七牛token(/seven/getToken)接口异常", e);
            return ApiResult.createFailure();
        }
    }

    @GetMapping("/getQiNiuUrl")
    public ApiResult getQiNiuUrl(String name) {
        LOG.info("调用获取七牛路径(/seven/getQiNiuUrl)接口");
        try {
            String imgUrl = qiNiuService.getUrl(name);
            Map<String, String> data = new HashMap<>(16);
            data.put("imgUrl", imgUrl);
            ApiResult<String> apiResult = ApiResult.createSuccess(imgUrl);
            LOG.info("调用获取七牛路径(/seven/getQiNiuUrl)接口成功, apiResult:{}", apiResult);
            return apiResult;
        } catch (Exception e) {
            LOG.error("调用获取七牛路径(/seven/getQiNiuUrl)接口异常", e);
            return ApiResult.createFailure();
        }
    }


   @PostMapping("/getInputStream")
    public  byte[] getInputStream(String url,String token) {
        LOG.info("调用获取七牛视频下载流(/seven/getInputStream)接口");
        try {
            String destUrl = url+"&token="+token;
            byte[] blob = qiNiuService.getInputStream(destUrl);
            LOG.info("调用获取七牛token(/seven/getInputStream)接口成功, stream:{}", blob);

            return blob;
        } catch (Exception e) {
            LOG.error("调用获取七牛token(/seven/getInputStream)接口异常", e);
        }
       return null;
   }

}
