package com.demo.wjj.controller;

import com.demo.wjj.bo.DisplaceDetailBo;
import com.demo.wjj.bo.TbQuoteProtocolBo;
import com.demo.wjj.po.Brand;
import com.demo.wjj.service.BrandService;
import com.demo.wjj.service.QuoteProtocolService;
import com.demo.wjj.utils.ApiResult;
import com.demo.wjj.utils.Result;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 协议
 * @author wangqing
 * @date 2018.11.10
 */
@RequestMapping("/quoteProtocol")
@RestController
public class QuoteProtocolController {

    private final Logger LOG = LoggerFactory.getLogger(getClass());

    @Autowired
    private QuoteProtocolService quoteProtocolService;

    /**
     * 置换协议
     * @return apiResult
     */
    @GetMapping("/findQuoteProtocol")
    public ApiResult findQuoteProtocol(@RequestParam(required = false) Integer type) {
        LOG.info("调用保存报价协议(quoteProtocol/saveQuoteProtocol)接口, type:{}", type);
        TbQuoteProtocolBo quoteProtocolBo = quoteProtocolService.findQuoteProtocolByType(type);
        ApiResult<TbQuoteProtocolBo> apiResult = ApiResult.createSuccess(quoteProtocolBo);
        LOG.info("调用保存报价协议(quoteProtocol/saveQuoteProtocol)接口成功, apiResult:{}", quoteProtocolBo);
        return apiResult;

    }

}
