package com.demo.wjj.converter;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.TypeReference;
import com.demo.wjj.bo.SaveDisplaceBo;
import com.demo.wjj.mapper.TbImgItemMapper;
import com.demo.wjj.po.TbImgItem;
import com.demo.wjj.qo.SaveDisplaceQo;
import com.demo.wjj.utils.IntegerUtils;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author wangqing
 * @date 2018.11.13
 */
@Component
public class SaveDisplaceConverter implements BaseConverter<SaveDisplaceQo, SaveDisplaceBo> {


    @Autowired
    private TbImgItemMapper tbImgItemMapper;

    @Override
    public SaveDisplaceBo convert(SaveDisplaceQo source) {
        SaveDisplaceBo saveDisplaceBo = new SaveDisplaceBo();

        saveDisplaceBo.setDisplaceId(source.getDisplaceId());
        saveDisplaceBo.setAgentId(source.getAgentId());
        saveDisplaceBo.setOpenId(source.getOpenId());
        saveDisplaceBo.setBrand(source.getBrand());
        saveDisplaceBo.setModel(source.getModel());
        saveDisplaceBo.setHours(source.getHours());
        saveDisplaceBo.setYearMonth(source.getYearMonth());
        saveDisplaceBo.setProvinceId(IntegerUtils.toInt(source.getProvinceId()));
        saveDisplaceBo.setCityId(IntegerUtils.toInt(source.getCityId()));
        saveDisplaceBo.setCountyId(IntegerUtils.toInt(source.getCountyId()));
        saveDisplaceBo.setDeviceType(source.getDeviceType());
        saveDisplaceBo.setConfig(source.getConfig());
        saveDisplaceBo.setJobResume(source.getJobResume());
        saveDisplaceBo.setTicket(source.getTicket());
        /* 取消手机号和姓名
        saveDisplaceBo.setMobile(source.getMobile());
        saveDisplaceBo.setUsername(source.getName());
        */
        saveDisplaceBo.setOther(source.getOther());
        saveDisplaceBo.setPrice(source.getPrice());
        //图片解析存储
        List<SaveDisplaceBo.DisplaceImageList> displaceImageLists = JSON.parseObject(source.getPicture(), new TypeReference<List<SaveDisplaceBo.DisplaceImageList>>() {
        });
        saveDisplaceBo.setPicture(displaceImageLists);
        if(StringUtils.isBlank(source.getIs_good()))
        {
            saveDisplaceBo.setIs_good("1");
        }else{
            saveDisplaceBo.setIs_good(source.getIs_good());
        }

        if(StringUtils.isBlank(source.getStorage()))
        {
            saveDisplaceBo.setStorage("1");
        }else{
            saveDisplaceBo.setStorage(source.getStorage());
        }

        return saveDisplaceBo;
    }
}
