package com.demo.wjj.converter;

import com.demo.wjj.bo.UserRegisterBo;
import com.demo.wjj.qo.UserRegisterQo;
import com.demo.wjj.utils.IntegerUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

/**
 * @author wangqing
 * @date 2018.11.10
 */
@Component
public class UserRegisterConverter implements BaseConverter<UserRegisterQo, UserRegisterBo> {

    private final Logger LOG = LoggerFactory.getLogger(getClass());

    @Override
    public UserRegisterBo convert(UserRegisterQo source) {
        LOG.debug("进入转换, source:{}", source);
        if (source == null) {
            LOG.debug("源对象为空");
            return null;
        }

        UserRegisterBo userRegisterBo = new UserRegisterBo();
        userRegisterBo.setMobile(source.getMobile());
        userRegisterBo.setName(source.getName());
        userRegisterBo.setRole(Integer.parseInt(source.getRole()));
        userRegisterBo.setBrandId(source.getBrandId());
        if ((UserRegisterQo.ROLE_SALE + "").equals(source.getRole())) {
            userRegisterBo.setProvinceId(IntegerUtils.toInt(source.getProvinceId()));
            userRegisterBo.setCityId(IntegerUtils.toInt(source.getCityId()));
            userRegisterBo.setCountyId(IntegerUtils.toInt(source.getCountyId()));
        }
        userRegisterBo.setCode(source.getCode());
        userRegisterBo.setOpenId(source.getOpenId());
        userRegisterBo.setAgentId(source.getAgentId());
        userRegisterBo.setNickname(source.getNickname());
        userRegisterBo.setRegistType(source.getRegistType());

        return userRegisterBo;
    }
}
