package com.demo.wjj.qo;

import com.alibaba.fastjson.JSON;

import java.util.Date;

/**
 * 用户注册
 * @author wangqing
 * @date 2018.11.10
 */
public class UserRegisterQo {

    /**
     * 角色 - 销售员
     */
    public static final int ROLE_SALE = 1;

    /**
     * 角色 - 车商
     */
    public static final int ROLE_DIGGER_AGENT = 2;

    /**
     * 角色 - 车商和销售员
     */
    public static final int ROLE_SALE_AGENT = 3;

    /**
     * 是否精品机注册
     */

    private String registType;//1-普通注册 2-精品机注册  不传按照普通注册处理

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 姓名
     */
    private String name;

    /**
     * 角色
     */
    private String role;

    /**
     * 品牌id，多个用逗号隔开
     */
    private String brandId;

    /**
     * 省份id
     */
    private String provinceId;

    /**
     * 地市id
     */
    private String cityId;

    /**
     * 区县id
     */
    private String countyId;

    /**
     * 短信验证码
     */
    private String code;

    /**
     * 微信openId
     */
    private String openId;

    /**
     * 商家id
     */
    private String agentId;

    /**
     * 微信用户昵称
     */
    private String nickname;

    /**
     * 注册时间
     */
    private Date registeDate;

    public String getRegistType() {
        return registType;
    }

    public void setRegistType(String registType) {
        this.registType = registType;
    }

    public Date getRegisteDate() {
        return registeDate;
    }

    public void setRegisteDate(Date registeDate) {
        this.registeDate = registeDate;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public String getBrandId() {
        return brandId;
    }

    public void setBrandId(String brandId) {
        this.brandId = brandId;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getCountyId() {
        return countyId;
    }

    public void setCountyId(String countyId) {
        this.countyId = countyId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }
}
