package com.demo.wjj.validator;

import com.demo.wjj.qo.SaveOfferUserQo;
import com.demo.wjj.utils.PatternUtils;
import org.apache.commons.lang3.ArrayUtils;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;
import org.springframework.validation.Errors;
import org.springframework.validation.Validator;

/**
 * @author wangqing
 * @date 2018.11.26
 */
@Component
public class SaveOfferUserValidator implements Validator {

    private final Logger LOG = LoggerFactory.getLogger(getClass());

    @Override
    public boolean supports(Class<?> aClass) {
        return SaveOfferUserQo.class == aClass;
    }

    @Override
    public void validate(Object o, Errors errors) {
        final SaveOfferUserQo query = (SaveOfferUserQo) o;

        if (StringUtils.isBlank(query.getAgentId())) {
            LOG.info("agentId为空");
            errors.rejectValue("agentId", "值为空");
            return;
        }

        if (StringUtils.isBlank(query.getDisplaceId())) {
            LOG.info("displaceId为空");
            errors.rejectValue("displaceId", "值为空");
            return;
        }

        final String mobile = query.getMobile();
        if (!PatternUtils.isMobile(mobile)) {
            LOG.info("mobile值非法, mobile:{}", mobile);
            errors.rejectValue("mobile", "值非法");
            return;
        }

        if (StringUtils.isBlank(query.getName())) {
            LOG.info("name为空");
            errors.rejectValue("name", "值为空");
            return;
        }

        if (StringUtils.isBlank(query.getOpenId())) {
            LOG.info("openId为空");
            errors.rejectValue("openId", "值为空");
            return;
        }
        /* 手机端用户不能设置通票 wangqing 201811302208
        final String tp = query.getTp();
        final String[] tps = {"1", "0"};
        if (!ArrayUtils.contains(tps, tp)) {
            LOG.info("tp值非法, tp:{}", tp);
            errors.rejectValue("tp", "值非法");
            return;
        }*/

    }
}
