package com.demo.wjj.controller;

import org.junit.Test;

import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.get;
import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.post;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.status;

public class CertificationControllerTest extends BaseTest {
//    {
//        "code": 1,
//            "data": {
//        "bankNo": "621483549241",
//                "identityCard": "3424231990",
//                "isCertification": false,//false-未实名 true-已实名
//                "name": "李劲松",
//                "userWx": "oEbPV1G_hf6DG11zWsQHBhN-pWMg",
//                "userWxnc": "一可凡馨"
//    },
//        "message": "成功"
//    }
    @Test
    public void getUserInfo() throws Exception {
        mockMvc.perform(get("/certification/getUserInfo")
                .param("idCard", "412726199007205836"))
                .andExpect(status().isOk());
    }
    @Test
    public void getUserInfoByAgent() throws Exception {
        mockMvc.perform(get("/certification/getUserInfoByAgent")
                .param("status", "1")
                .param("agentId", "ZHXTCS"))
                .andExpect(status().isOk());
    }

    @Test
    public void getUserInfoByAgentAndOpenId() throws Exception {
        mockMvc.perform(get("/certification/getUserInfoByAgentAndOpenId")
                .param("status", "2")
                .param("angentId", "ZHXTCS")
                .param("openId", "o5C8F1f536_6m6VsJ2eyB6-1E10o"))
                .andExpect(status().isOk());
    }

    @Test
    public void getUserInfoBySaleId() throws Exception {
        mockMvc.perform(get("/certification/getUserInfoBySaleId")
                .param("status", "2")
                .param("agentId", "ZHXTCS")
                .param("saleId", "ZHXTCS-XS5021"))
                .andExpect(status().isOk());
    }


//    {
//        "code": 1,
//            "data": {
//        "msg": "验证不通过身份证或姓名手机与卡号不符",
//                "status": "02"
//    },
//        "message": "成功"
//    }

//    {
//        "status": "01",
//            "msg": "验证通过",
//            "idCard": "342423199011015871",
//            "accountNo": "6214835495226761",
//            "bank": "招商银行",
//            "cardName": "银联IC普卡",
//            "cardType": "借记卡",
//            "name": "程昌明",
//            "mobile": "17309693845",
//            "sex": "男",
//            "area": "安徽省六安地区霍邱县",
//            "province": "安徽省",
//            "city": "六安地区",
//            "prefecture": "霍邱县",
//            "birthday": "1990-11-01",
//            "addrCode": "342423",
//            "lastCode": "1"
//    }
    @Test
    public void getUserVerification() throws Exception {
        mockMvc.perform(post("/certification/userVerification")
                .param("openId", "oQH815gQghYjBRiZhUAeO9i8N0Us")
                .param("accountNo", "6214835495226761")
                .param("idCard", "342423199011015871")
                .param("mobile", "17309693845")
                .param("name", "程昌明"))
                .andExpect(status().isOk());
    }

//    {
//        "code": 1,
//            "data": {
//        "PERSON_NAME": "程昌明",
//                "PERSON_ANIMAL": "属马",
//                "PERSON_LIVING_CITY": "六安市",
//                "PERSON_BIRTH_DISTRICT": "",
//                "PERSON_LIVING_COUNTRY_ID": "341522",
//                "PERSON_ADDRESS": "安徽省霍邱县冯井镇团山村南河组",
//                "PERSON_BIRTH_COUNTRY_ID": "342423",
//                "PERSON_SEX": "男",
//                "PERSON_BIRTH_CITY": "",
//                "PERSON_CHINESE_BIRTH": "一九九零年冬月初一",
//                "PERSON_NATION": "汉",
//                "PERSON_BIRTH_PROVINCE": "",
//                "PERSON_BIRTH": "1990年11月01日",
//                "PERSON_ID": "34242319901101****",
//                "PERSON_LIVING_PROVINCE": "安徽省",
//                "PERSON_LIVING_DISTRICT": "霍邱县",
//                "PERSON_SIGN": "天蝎座"
//    },
//        "message": "成功"
//    }

    @Test
    public void idCardVerification() throws Exception {
        mockMvc.perform(post("/certification/idCardVerification")
                .param("url", "/Users/chengcm/Desktop/WechatIMG6613.jpeg")
                .param("imgType", "0")
                .param("img", "FRONT"))
                .andExpect(status().isOk());
    }


//    {
//        "code": 1,
//            "data": {
//        "BANK_CARD_TYPE": 1,
//                "BANK_CARD_ID": "6214835492415433",
//                "BANK_NAME": "招商银行"
//    },
//        "message": "成功"
//    }

    @Test
    public void bankCardVerification() throws Exception {
        mockMvc.perform(post("/certification/bankCardVerification")
                .param("url", "/Users/chengcm/Desktop/WechatIMG6614.jpeg")
                .param("imgType", "0"))
                .andExpect(status().isOk());
    }

//    {
//        "code": 1,
//            "data": {
//                "content": "后台提供维护实名认证目的说明的功能",
//                "createtime": 1565798400000,
//                "id": "12123123",
//                "updatetime": 1565798400000
//    },
//        "message": "成功"
//    }

    @Test
    public void getExplain() throws Exception {
        mockMvc.perform(get("/certification/getExplain"))
                .andExpect(status().isOk());
    }



    @Test
    public void redirectUrl() throws Exception {
        mockMvc.perform(post("/wechat/redirectUrl")
                .param("agentId", "ZHXTCS")
                .param("id", "cdafb2a5c42347859248e66459e5fe87")
                .param("openId", "o5C8F1bsANIpREV4ThGib-ixh0xs")
                .param("displaceId", "ZHXTCS-ZH0014")
                .param("goodsName", "商家类型错误啥原因呢sj1挖掘机"))
                .andExpect(status().isOk());
    }

    @Test
    public void getToken() throws Exception {
        mockMvc.perform(post("/wechat/getToken"))
                .andExpect(status().isOk());
    }

//    {
//        "code": 1,
//            "data": [{
//        "createtime": "2019-08-27 09:56:31.0",
//                "id": "656d7c0420194eb68f6f87fb31509606",
//                "jump_url": "qq/wee",
//                "sequence": "1",
//                "updatetime": "2019-08-27 09:56:31.0",
//                "url": "http://tp.weigongcheng.net/Fmg2QeWurQuLWpxRdhhe8UU3VIRQ?e=1566882202&token=CNbazhRMgyg91V_X9bqBtd42CSof0Cd6rGKPOzfp:zzR6528Je9iGilhbwMEtKKwFfJY="
//    }],
//        "message": "成功"
//    }

    @Test
    public void getPlaybill() throws Exception {
        mockMvc.perform(get("/playbill/queryPlaybillList"))
                .andExpect(status().isOk());
    }

//    {
//        "code": 1,
//            "data": {
//        "agree_html": "<p><span style=\"font-size: 10px;\">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<span style=\"color: rgb(255, 0, 0);\">去除页面上的英文符号&nbsp; 看看是不是能成功啊</span><br/></span></p><p><span style=\"font-size: 10px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足</span></p><p><span style=\"font-size: 10px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而å补不足天知道损有余而补不足天知道损有余而补不足</span></p><p><span style=\"font-size: 10px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足</span></p><p><span style=\"font-size: 10px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足</span></p><p><span style=\"font-size: 10px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足</span></p><p><span style=\"font-size: 10px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足</span></p><p><span style=\"font-size: 10px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;天知道损有余而补不足</span></p><p style=\"white-space: normal;\"><span style=\"font-size: 10px;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足</span></p><p style=\"white-space: normal;\"><span style=\"font-size: 10px;\">&nbsp; &nbsp; &nbsp; &nbsp;天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足</span></p><p style=\"white-space: normal;\"><span style=\"font-size: 10px;\"></span></p><p style=\"white-space: normal;\"><span style=\"font-size: 10px;\">天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足</span></p><p style=\"white-space: normal;\"><span style=\"font-size: 10px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而å补不足天知道损有余而补不足天知道损有余而补不足</span></p><p style=\"white-space: normal;\"><span style=\"font-size: 10px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足</span></p><p style=\"white-space: normal;\"><span style=\"font-size: 10px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足</span></p><p style=\"white-space: normal;\"><span style=\"font-size: 10px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足</span></p><p style=\"white-space: normal;\"><span style=\"font-size: 10px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足</span></p><p style=\"white-space: normal;\"><span style=\"font-size: 10px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;天知道损有余而补不足</span></p><p style=\"white-space: normal;\"><span style=\"font-size: 10px;\">&nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足</span></p><p style=\"white-space: normal;\"><span style=\"font-size: 10px;\">&nbsp; &nbsp; &nbsp; &nbsp;天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足</span></p><p style=\"white-space: normal;\"><span style=\"font-size: 10px;\"></span></p><p style=\"white-space: normal;\"><span style=\"font-size: 10px;\">天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足天知道损有余而补不足</span></p>",
//                "createtime": "2019-08-27 22:49:33",
//                "id": "agree_nemt",
//                "updatetime": "2019-08-28 07:55:10"
//    },
//        "message": "成功"
//    }

    @Test
    public void getAgree() throws Exception {
        mockMvc.perform(get("/agree/getAgreement"))
                .andExpect(status().isOk());
    }


//    {
//        "code": 1,
//            "data": [{
//        "accountno": "6214835495226761",
//                "addrcode": "342423",
//                "area": "安徽省六安地区",
//                "bank": "招商银行",
//                "birthday": "1990-11-01",
//                "cardname": "银联IC普卡",
//                "cardtype": "借记卡",
//                "city": "六安地区",
//                "idcard": "34242319901101121212",
//                "mobile": "17309693845",
//                "prefecture": "霍邱县",
//                "province": "安徽省",
//                "sex": "男",
//                "status": "2",
//                "username": "程昌明"
//    }, {
//        "accountno": "6214835495226761",
//                "addrcode": "342423",
//                "area": "安徽省六安地区",
//                "bank": "招商银行",
//                "birthday": "1990-11-01",
//                "cardname": "银联IC普卡",
//                "cardtype": "借记卡",
//                "city": "六安地区",
//                "idcard": "342423199011121121",
//                "mobile": "17309693845",
//                "prefecture": "霍邱县",
//                "province": "安徽省",
//                "sex": "男",
//                "status": "2",
//                "username": "程昌明"
//    }],
//        "message": "成功"
//    }

    @Test
    public void getUserVerification1() throws Exception {
        mockMvc.perform(get("/certification/getUserVerification")
                .param("status", "2"))
                .andExpect(status().isOk());
    }



    @Test
    public void getDisplaceStorageList() throws Exception {
        mockMvc.perform(get("/displace/getDisplaceStorageList")
                .param("agentId", "ZHXTCS")
                .param("storageStatus", "2")
                .param("openId", "o5C8F1bsANIpREV4ThGib-ixh0xs"))
                .andExpect(status().isOk());
    }

    @Test
    public void getDisplaceConfirmList() throws Exception {
        mockMvc.perform(get("/displace/getDisplaceConfirmList")
                .param("agentId", "ZHXTCS")
                .param("openId", "o5C8F1ZYHXXdOadUxoqfSRT3u9RI"))
                .andExpect(status().isOk());
    }
}
