package com.demo.wjj.controller;

import org.junit.Test;

import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.get;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.jsonPath;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.status;

/**
 * @author wangqing
 * @date 2018.11.09
 */
public class RegionControllerTest extends BaseTest {

    @Test
    public void getProvince() throws Exception {
        this.mockMvc.perform(get("/region/getProvince"))
                .andExpect(status().isOk())
                .andExpect(jsonPath("$.data.length()").value(2))
                .andExpect(jsonPath("$.data[0].id").value(1))
                .andExpect(jsonPath("$.data[0].name").value("安徽省"))
                .andExpect(jsonPath("$.data[1].id").value(2))
                .andExpect(jsonPath("$.data[1].name").value("江苏省"));
    }

    @Test
    public void getCity() throws Exception {
        final String provinceId = "1";
        this.mockMvc.perform(get("/region/getCity").param("provinceId", provinceId))
                .andExpect(status().isOk())
                .andExpect(jsonPath("$.data.length()").value(3))
                .andExpect(jsonPath("$.data[0].id").value(3))
                .andExpect(jsonPath("$.data[0].name").value("合肥市"))
                .andExpect(jsonPath("$.data[1].id").value(4))
                .andExpect(jsonPath("$.data[1].name").value("六安市"))
                .andExpect(jsonPath("$.data[2].id").value(5))
                .andExpect(jsonPath("$.data[2].name").value("阜阳市"));
    }


    @Test
    public void getCounty() throws Exception {
        final String cityId = "3";
        this.mockMvc.perform(get("/region/getCounty").param("cityId", cityId))
                .andExpect(status().isOk())
                .andExpect(jsonPath("$.data.length()").value(2))
                .andExpect(jsonPath("$.data[0].id").value(8))
                .andExpect(jsonPath("$.data[0].name").value("肥东县"))
                .andExpect(jsonPath("$.data[1].id").value(9))
                .andExpect(jsonPath("$.data[1].name").value("肥西县"));
    }
}