package com.demo.wjj.controller;

import org.junit.Ignore;
import org.junit.Test;

import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.*;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.*;

/**
 * @author wangqing
 * @date 2018.11.11
 */
public class UserControllerTest extends BaseTest {

    @Ignore
    @Test
    public void register() throws Exception {
        this.mockMvc.perform(post("/user/register")
                .param("mobile", "13695604981")
                .param("name", "martin")
                .param("role", "1")
                .param("brandId", "1,2,3")
                .param("provinceId", "1")
                .param("cityId", "3")
                .param("countyId", "8")
                .param("code", "1234")
                .param("openId", "wxopenid")
                .param("agentId", "54e9a557d1d64ee6bab236069c4feba3")
        ).andExpect(status().isOk())
        .andExpect(jsonPath("$.code").value("1"));
    }

    @Ignore
    @Test
    public void querySale() throws Exception {
        this.mockMvc.perform(get("/user/querySale")
                .param("agentId", "54e9a557d1d64ee6bab236069c4feba3")
                .param("openId", "wxopenid")
        ).andExpect(status().isOk())
                .andExpect(jsonPath("$.data.register").value(1));

        this.mockMvc.perform(get("/user/querySale")
                .param("agentId", "54e9a557d1d64ee6bab236069c4feba3")
                .param("openId", "wxopenid1")
        ).andExpect(status().isOk())
                .andExpect(jsonPath("$.data.register").value(0));
    }

    @Ignore
    @Test
    public void queryDiggerAgent() throws Exception {
        this.mockMvc.perform(get("/user/queryDiggerAgent")
                .param("agentId", "54e9a557d1d64ee6bab236069c4feba3")
                .param("openId", "wxopenid")
        ).andExpect(status().isOk())
                .andExpect(jsonPath("$.data.register").value(1));

        this.mockMvc.perform(get("/user/querySale")
                .param("agentId", "54e9a557d1d64ee6bab236069c4feba3")
                .param("openId", "wxopenid1")
        ).andExpect(status().isOk())
                .andExpect(jsonPath("$.data.register").value(0));
    }

    @Test
    public void unbind() throws Exception {
        mockMvc.perform(post("/user/unbind")
                .param("agentId", "aaabbb")
                .param("openId", "oFw8d06WB9MZUm_jSGRmlaXYh8XQ")
                .param("unbindFlag", "2"))
                .andExpect(status().isOk())
                .andExpect(jsonPath("$.code").value("1"));

    }
}