package com.demo.wjj.bo;

import java.util.HashMap;
import java.util.Map;

/**
 * 微信退款请求参数
 * <p>
 *
 * @author wangqing
 * @date 2019/02/10
 */
public class ApplyRefundParameter extends WeiXinParameter {

    private Map<String, String> attributes = new HashMap<>();

    /**
     * 公众账号ID
     */
    private String appId;

    /**
     * 商户号
     */
    private String mchId;

    /**
     * 随机串
     */
    private String nonceStr;

    /**
     * 签名类型
     */
    private String signType = "MD5";

    /**
     * 微信订单号
     */
    private String transactionId;

    /**
     * 商户退款单号
     */
    private String outRefundNo;

    /**
     * 订单金额(分)
     */
    private Integer totalFee;

    /**
     * 退款金额(分)
     */
    private Integer refundFee;

    private String sign;

    /**
     * 回调地址
     */
    private String notifyUrl;

    public ApplyRefundParameter() {
        initAttributes();
    }

    private void initAttributes() {
        attributes.put("appId", "appid");
        attributes.put("mchId", "mch_id");
        attributes.put("nonceStr", "nonce_str");
        attributes.put("signType", "sign_type");
        attributes.put("transactionId", "transaction_id");
        attributes.put("outRefundNo", "out_refund_no");
        attributes.put("totalFee", "total_fee");
        attributes.put("refundFee", "refund_fee");
        attributes.put("notifyUrl", "notify_url");
        attributes.put("sign", "sign");
    }

    public Map<String, String> getAttributes() {
        return attributes;
    }

    public void setAttributes(Map<String, String> attributes) {
        this.attributes = attributes;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getMchId() {
        return mchId;
    }

    public void setMchId(String mchId) {
        this.mchId = mchId;
    }

    public String getNonceStr() {
        return nonceStr;
    }

    public void setNonceStr(String nonceStr) {
        this.nonceStr = nonceStr;
    }

    public String getSignType() {
        return signType;
    }

    public void setSignType(String signType) {
        this.signType = signType;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public String getOutRefundNo() {
        return outRefundNo;
    }

    public void setOutRefundNo(String outRefundNo) {
        this.outRefundNo = outRefundNo;
    }

    public Integer getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(Integer totalFee) {
        this.totalFee = totalFee;
    }

    public Integer getRefundFee() {
        return refundFee;
    }

    public void setRefundFee(Integer refundFee) {
        this.refundFee = refundFee;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getNotifyUrl() {
        return notifyUrl;
    }

    public void setNotifyUrl(String notifyUrl) {
        this.notifyUrl = notifyUrl;
    }

    @Override
    protected Map<String, String> getAttributeMap() {
        return attributes;
    }
}
