package com.demo.wjj.bo;

import org.apache.commons.lang3.StringUtils;
import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.Element;
import org.dom4j.io.SAXReader;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.BeanWrapper;
import org.springframework.beans.BeanWrapperImpl;

import java.io.ByteArrayInputStream;
import java.nio.charset.StandardCharsets;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *
 * @author wangqing
 * @date 2019/02/10
 */
public class ApplyRefundResponse {

    private final Logger LOG = LoggerFactory.getLogger(getClass());

    private Map<String, String> attributes = new HashMap<>();

    private String returnCode;

    private String returnMsg;

    private String resultCode;

    private String errCode;

    private String errCodeDes;

    public ApplyRefundResponse() {
        attributes.put("return_code", "returnCode");
        attributes.put("return_msg", "returnMsg");
        attributes.put("result_code", "resultCode");
        attributes.put("err_code", "errCode");
        attributes.put("err_code_des", "errCodeDes");
    }

    public void parseResponse(String xml) throws DocumentException {
        if (StringUtils.isBlank(xml)) {
            LOG.info("xml内容为空");
            return;
        }

        SAXReader reader = new SAXReader();
        ByteArrayInputStream inputStream = new ByteArrayInputStream(xml.getBytes(StandardCharsets.UTF_8));
        final Document document = reader.read(inputStream);
        final Element rootElement = document.getRootElement();
        final List<Element> elements = rootElement.elements();
        BeanWrapper bean = new BeanWrapperImpl(this);
        for (Element element : elements) {
            final String name = element.getName();
            if (attributes.containsKey(name)) {
                bean.setPropertyValue(attributes.get(name), element.getStringValue());
            }
        }
    }

    public String getReturnCode() {
        return returnCode;
    }

    public void setReturnCode(String returnCode) {
        this.returnCode = returnCode;
    }

    public String getReturnMsg() {
        return returnMsg;
    }

    public void setReturnMsg(String returnMsg) {
        this.returnMsg = returnMsg;
    }

    public String getResultCode() {
        return resultCode;
    }

    public void setResultCode(String resultCode) {
        this.resultCode = resultCode;
    }

    public String getErrCode() {
        return errCode;
    }

    public void setErrCode(String errCode) {
        this.errCode = errCode;
    }

    public String getErrCodeDes() {
        return errCodeDes;
    }

    public void setErrCodeDes(String errCodeDes) {
        this.errCodeDes = errCodeDes;
    }
}
