package com.demo.wjj.bo;

import org.springframework.beans.BeanWrapper;
import org.springframework.beans.BeanWrapperImpl;
import org.springframework.context.annotation.Bean;

import java.util.Collection;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

/**
 * 微信创建订单参数
 *
 * @author wangqing
 * @date 2018.11.13
 */
public class CreateOrderParameter extends WeiXinParameter {

    /**
     * 公众号id
     */
    private String appId;

    /**
     * 商户号
     */
    private String mchId;

    /**
     * 设备号
     */
    private String deviceInfo;

    /**
     * 随机字符串
     */
    private String nonceStr;

    /**
     * 签名
     */
    private String sign;

    /**
     * 商品描述
     */
    private String body;

    /**
     * 商品详情
     */
    private String detail;

    /**
     * 商户订单号
     */
    private String outTradeNo;

    /**
     * 标价金额（分）
     */
    private Integer totalFee;

    /**
     * 终端ip
     */
    private String spbillCreateIp;

    /**
     * 交易起始时间
     */
    private String timeStart;

    /**
     * 交易结束时间
     */
    private String timeExpire;

    /**
     * 通知地址
     */
    private String notifyUrl;

    /**
     * 交易类型
     */
    private String tradeType = "JSAPI";

    /**
     * 微信
     */
    private String openId;

    /**
     * 附加数据
     */
    private String attach;

    public CreateOrderParameter() {
        initAttributeMap();
    }

    private final Map<String, String> attributeMap = new HashMap<>();

    private void initAttributeMap() {
        attributeMap.put("appId", "appid");
        attributeMap.put("mchId", "mch_id");
        attributeMap.put("deviceInfo", "device_info");
        attributeMap.put("nonceStr", "nonce_str");
        attributeMap.put("sign", "sign");
        attributeMap.put("body", "body");
        attributeMap.put("detail", "detail");
        attributeMap.put("outTradeNo", "out_trade_no");
        attributeMap.put("totalFee", "total_fee");
        attributeMap.put("spbillCreateIp", "spbill_create_ip");
        attributeMap.put("timeStart", "time_start");
        attributeMap.put("timeExpire", "time_expire");
        attributeMap.put("notifyUrl", "notify_url");
        attributeMap.put("tradeType", "trade_type");
        attributeMap.put("openId", "openid");
        attributeMap.put("attach", "attach");
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getMchId() {
        return mchId;
    }

    public void setMchId(String mchId) {
        this.mchId = mchId;
    }

    public String getDeviceInfo() {
        return deviceInfo;
    }

    public void setDeviceInfo(String deviceInfo) {
        this.deviceInfo = deviceInfo;
    }

    public String getNonceStr() {
        return nonceStr;
    }

    public void setNonceStr(String nonceStr) {
        this.nonceStr = nonceStr;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    public String getOutTradeNo() {
        return outTradeNo;
    }

    public void setOutTradeNo(String outTradeNo) {
        this.outTradeNo = outTradeNo;
    }

    public Integer getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(Integer totalFee) {
        this.totalFee = totalFee;
    }

    public String getSpbillCreateIp() {
        return spbillCreateIp;
    }

    public void setSpbillCreateIp(String spbillCreateIp) {
        this.spbillCreateIp = spbillCreateIp;
    }

    public String getTimeStart() {
        return timeStart;
    }

    public void setTimeStart(String timeStart) {
        this.timeStart = timeStart;
    }

    public String getTimeExpire() {
        return timeExpire;
    }

    public void setTimeExpire(String timeExpire) {
        this.timeExpire = timeExpire;
    }

    public String getNotifyUrl() {
        return notifyUrl;
    }

    public void setNotifyUrl(String notifyUrl) {
        this.notifyUrl = notifyUrl;
    }

    public String getTradeType() {
        return tradeType;
    }

    public void setTradeType(String tradeType) {
        this.tradeType = tradeType;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public void setAttach(String attach) {
        this.attach = attach;
    }

    public String getAttach() {
        return attach;
    }

    @Override
    protected Map<String, String> getAttributeMap() {
        return attributeMap;
    }
}
