package com.demo.wjj.bo;

import com.alibaba.fastjson.JSON;

import java.util.List;

/**
 * 保存置换
 * @author wangqing
 * @date 2018.11.12
 */
public class SaveDisplaceBo {

    /**
     * 置换id
     */
    private String displaceId;

    /**
     * 商家id
     */
    private String agentId;

    /**
     * 微信openId
     */
    private String openId;

    /**
     * 品牌
     */
    private String brand;

    /**
     * 型号
     */
    private String model;

    /**
     * 小时数
     */
    private String hours;

    /**
     * 出厂年份
     */
    private String yearMonth;

    /**
     * 省份id
     */
    private Integer provinceId;

    /**
     * 地市id
     */
    private Integer cityId;

    /**
     * 区县id
     */
    private Integer countyId;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 配置说明
     */
    private String config;

    /**
     * 作业履历
     */
    private String jobResume;

    /**
     * 票证说明
     */
    private String ticket;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 姓名
     */
    private String username;

    /**
     * 其他说明
     */
    private String other;

    /**
     * 理想价位
     */
    private String price;

    /**
     * 置换图片
     */
    private List<DisplaceImageList> picture;

    /**
     * 组装后的区域名称
     */
    private String location;

    /**
     * 是否精品机
     */
    private String is_good;//1-普通2-精品

    /**
     * 是否暂存
     */
    private String storage;//1-完成；2-暂存

    public String getStorage() {
        return storage;
    }
    public void setStorage(String storage) {
        this.storage = storage;
    }

    public String getIs_good() {
        return is_good;
    }

    public void setIs_good(String is_good) {

        this.is_good = is_good;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

    /**
     * 置换图片列表
     */
    public static class DisplaceImageList {

        /**
         * 置换图片编码
         */
        private String code;

        /**
         * 第三级目录id（细节分类id）
         */
        private Integer detailId;

        /**
         * 置换图片地址
         */
        private List<String> pic;

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public List<String> getPic() {
            return pic;
        }

        public void setPic(List<String> pic) {
            this.pic = pic;
        }

        public Integer getDetailId() {
            return detailId;
        }

        public void setDetailId(Integer detailId) {
            this.detailId = detailId;
        }
    }

    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getHours() {
        return hours;
    }

    public void setHours(String hours) {
        this.hours = hours;
    }

    public String getYearMonth() {
        return yearMonth;
    }

    public void setYearMonth(String yearMonth) {
        this.yearMonth = yearMonth;
    }

    public Integer getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(Integer provinceId) {
        this.provinceId = provinceId;
    }

    public Integer getCityId() {
        return cityId;
    }

    public void setCityId(Integer cityId) {
        this.cityId = cityId;
    }

    public Integer getCountyId() {
        return countyId;
    }

    public void setCountyId(Integer countyId) {
        this.countyId = countyId;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getConfig() {
        return config;
    }

    public void setConfig(String config) {
        this.config = config;
    }

    public String getJobResume() {
        return jobResume;
    }

    public void setJobResume(String jobResume) {
        this.jobResume = jobResume;
    }

    public String getTicket() {
        return ticket;
    }

    public void setTicket(String ticket) {
        this.ticket = ticket;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getOther() {
        return other;
    }

    public void setOther(String other) {
        this.other = other;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public List<DisplaceImageList> getPicture() {
        return picture;
    }

    public void setPicture(List<DisplaceImageList> picture) {
        this.picture = picture;
    }

    public String getDisplaceId() {
        return displaceId;
    }

    public void setDisplaceId(String displaceId) {
        this.displaceId = displaceId;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }
}
