package com.demo.wjj.bo;

import org.springframework.beans.BeanWrapper;
import org.springframework.beans.BeanWrapperImpl;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

/**
 * <p>
 *
 * @author wangqing
 * @date 2019/02/10
 */
public abstract class WeiXinParameter {

    /**
     * 获取属性集合
     * @return 属性集合
     */
    protected abstract Map<String, String> getAttributeMap();

    /**
     * 创建请求参数
     * @return 请求参数
     */
    public Map<String, String> createRequestParameter() {
        final Map<String, String> attributeMap = getAttributeMap();
        Iterator<String> iterator = attributeMap.keySet().iterator();

        Map<String, String> parameter = new HashMap<>();
        String attribute;
        String name;
        Object valueObj;
        BeanWrapper bean = new BeanWrapperImpl(this);
        while (iterator.hasNext()) {
            attribute = iterator.next();
            name = attributeMap.get(attribute);
            valueObj = bean.getPropertyValue(attribute);
            if (valueObj != null) {
                parameter.put(name, valueObj.toString());
            }
        }
        return parameter;
    }

    @Override
    public String toString() {
        final Map<String, String> attributeMap = getAttributeMap();
        Iterator<String> iterator = attributeMap.keySet().iterator();
        String attribute;
        StringBuilder xmlStr = new StringBuilder("<xml>");
        String tag;
        BeanWrapper bean = new BeanWrapperImpl(this);
        while (iterator.hasNext()) {
            attribute = iterator.next();
            Object valueObj = bean.getPropertyValue(attribute);
            if (valueObj != null) {
                tag = attributeMap.get(attribute);
                xmlStr.append("<").append(tag).append(">")
                        .append(valueObj.toString())
                        .append("</").append(tag).append(">");
            }
        }
        xmlStr.append("</xml>");
        return xmlStr.toString();
    }
}
