package com.demo.wjj.mapper;

import com.demo.wjj.po.Agent;
import org.apache.ibatis.annotations.Param;

/**
 * 商家
 * @author wangqing
 * @date 2018.11.11
 */
public interface AgentMapper {

    /**
     * 查询商家
     * @param id 商家id
     * @return 商家
     */
    Agent selectAgent(String id);

    /**
     * 查询商家
     * @param id 商家id
     * @return 商家
     */
    Agent selectAgentOfId(String id);

    /**
     * 查询商家
     * @param appId appId
     * @return
     */
    Agent selectAgentOfAppId(String appId);

    /**
     * 更新商家信息
     * @param id 商家id
     * @param authorizerAppId 公众号id
     * @param name 公众号名称
     * @return 影响记录数
     */
    int updateAgentInfo(@Param("id") String id,@Param("authorizerAppId") String authorizerAppId, @Param("name") String name);

    /**
     * 更新商家小程序appId
     * @param id id
     * @param authorizerAppId appId
     * @return 影响记录数
     */
    int updateXcxAppId(@Param("id") String id,@Param("authorizerAppId") String authorizerAppId);

    /**
     * 检查当前的商户限制销售员数
     * @param agentId
     * @return
     */
    Integer checkSaleNum(String agentId);

    /**
     * 查询积分系统状态
     * @param agentId
     * @return
     */
    Agent selectInteg(String agentId);

}
