package com.demo.wjj.mapper;

import com.demo.wjj.po.Deposit;
import org.apache.ibatis.annotations.Param;

/**
 * @author wangqing
 * @date 2018.11.19
 */
public interface DepositMapper {

    /**
     * 插入保证金
     * @param deposit 保证金
     * @return 影响记录数
     */
    boolean insert(Deposit deposit);

    /**
     * 更新保证金支付状态
     * @param orderNo 订单编号
     * @param transactionId 微信订单号
     * @param status 状态
     * @return 影响记录数
     */
    int updatePayStatus(@Param("orderNo") String orderNo, @Param("transactionId") String transactionId, @Param("status") String status);

    /**
     * 查询保证金
     * @param id 保证金id
     * @return 保证金
     */
    Deposit selectDeposit(String id);

    /**
     * 更新微信申请退款
     * @param id id
     * @param status 状态
     * @param xml 响应xml
     * @return 影响记录数
     */
    int updateApplyRefund(@Param("id") String id, @Param("status") String status, @Param("xml") String xml);

    /**
     * 更新退款
     * @param id id
     * @param status 状态
     * @param xml xml
     * @return 影响记录数
     */
    int updateRefund(@Param("id") String id, @Param("status") String status, @Param("xml") String xml);
}
