package com.demo.wjj.mapper;

import com.demo.wjj.bo.DisplaceListBo;
import com.demo.wjj.po.DisplaceAudit;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * 置换审核
 * @author wangqing
 * @date 2018.11.11
 */
public interface DisplaceAuditMapper {

    /**
     * 插入置换审核
     * @param displaceAudit 置换审核
     * @return 影响记录数
     */
    int insert(DisplaceAudit displaceAudit);

    /**
     * 更新置换审核
     * @param displaceAudit 置换审核
     * @return 影响记录数
     */
    int update(DisplaceAudit displaceAudit);

    /**
     * 查询置换
     * @param agentId 商家id
     * @param openId 微信openId
     * @param auditStatus 审核状态
     * @return 置换集合
     */
    List<DisplaceListBo> selectDisplaceList(@Param("agentId") String agentId, @Param("openId") String openId, @Param("auditStatus") String auditStatus,@Param("is_good") String is_good);
    List<DisplaceListBo> selectDisplaceConfirmList(@Param("agentId") String agentId, @Param("openId") String openId, @Param("auditStatus") String auditStatus);
    List<DisplaceListBo> selectDisplaceOnList(@Param("agentId") String agentId, @Param("now") Date now, @Param("auditStatus") String auditStatus);
    List<DisplaceListBo> selectDisplaceSaleList(@Param("agentId") String agentId, @Param("now") Date now, @Param("auditStatus") String auditStatus);
    List<DisplaceListBo> selectDisplaceHaltList(@Param("agentId") String agentId, @Param("now") Date now, @Param("auditStatus") String auditStatus);
    List<DisplaceListBo> selectDisplaceMyList(@Param("agentId") String agentId, @Param("openId") String openId, @Param("now") Date now, @Param("auditStatus") String auditStatus);
    List<DisplaceListBo> selectMyList(@Param("agentId") String agentId, @Param("now") Date now, @Param("diggerAgentId") String diggerAgentId);
    List<DisplaceListBo> getDisplaceGoodSaleList(@Param("agentId") String agentId, @Param("openId") String openId, @Param("now") Date now, @Param("auditStatus") String auditStatus);
    List<DisplaceListBo> getDisplaceStorageList(@Param("agentId") String agentId, @Param("openId") String openId, @Param("storageStatus") String storageStatus);
    int updateByDisplaceId(@Param("displaceId") String displaceId, @Param("ifDeposit") String ifDeposit,@Param("storage") String storage);

    /**
     * 查询置换详情
     * @param id 置换id
     * @return 置换详情
     */
    DisplaceAudit select(String id);

    /**
     * 查询置换审核
     * @param displaceId 置换id
     * @return 置换审核
     */
    DisplaceAudit selectDisplaceAudit(String displaceId);

    DisplaceAudit getDisplaceDeposit(String displaceId);

    DisplaceAudit selectDisplaceAuditByDisplaceId(String displaceId);

    /**
     * 查询被驳回的置换设备数量
     * @param agentId 商家id
     * @param openId openId
     * @return 被驳回的置换设备数量
     */
    int selectRejectedDisplaceCount(@Param("agentId") String agentId, @Param("openId") String openId);

    /**
     * 更新报价结束时间
     * @param id id
     * @param endTime 结束时间
     * @return 影响记录数
     */
    int updateEndTime(@Param("id") String id, @Param("endTime") Date endTime);
}
