package com.demo.wjj.mapper;

import com.demo.wjj.po.PushRecord;
import com.demo.wjj.po.User;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * 微信服务
 * @author wangqing
 * @date 2018.11.23
 */
public interface WeiXinMessageMapper {

    /**
     * 获取accessToken
     * @param appId appId
     * @param now 当前时间
     * @return accessToken
     */
    String selectAccessToken(@Param("appId") String appId, @Param("now")Date now);

    /**
     * 查询商家微信openId
     * @param agentId 商家id
     * @return 商家微信id, 微信昵称
     */
    List<User> selectAgentOpenId(String agentId);

    /**
     * 删除微信accessToken
     * @param appId appId
     * @return 影响记录数
     */
    int deleteAccessToken(String appId);

    /**
     * 插入微信accessToken
     * @param appId appId
     * @param accessToken accessToken
     * @param now 当前时间
     * @return 影响记录数
     */
    int insertAccessToken(@Param("appId") String appId, @Param("accessToken") String accessToken, @Param("now") Date now);

    /**
     * 插入推送记录
     * @param pushRecord 推送记录
     * @return 影响记录数
     */
    int insertPushRecord(PushRecord pushRecord);
}
