package com.demo.wjj.mapper;

import com.demo.wjj.po.WeiXinPay;
import org.apache.ibatis.annotations.Param;

/**
 * @author wangqing
 * @date 2018.11.15
 */
public interface WeiXinPayMapper {

    /**
     * 插入微信支付订单
     * @param weiXinPay 微信支付订单
     * @return 影响记录数
     */
    int insert(WeiXinPay weiXinPay);

    /**
     * 查询微信支付订单
     * @param outTradeNo 商家订单号
     * @return 微信支付订单
     */
    WeiXinPay select(String outTradeNo);

    /**
     * 更新订单状态
     * @param id 订单id
     * @param status 状态
     * @return 影响记录数
     */
    int updateOrderStatus(@Param("id") int id, @Param("status") int status);

    /**
     * 更新订单回调xml
     * @param orderNo 订单编号
     * @param xml xml
     * @return 影响记录数
     */
    int updateCallback(@Param("orderNo") String orderNo, @Param("xml") String xml);
}
