package com.demo.wjj.mapper;

import com.demo.wjj.po.WeiXinPlatformAuthorization;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 微信第三方平台授权方信息
 * <p>
 *
 * @author wangqing
 * @date 2019/02/04
 */
public interface WeiXinPlatformAuthorizationMapper {

    /**
     * 插入微信第三方平台授权方信息
     * @param weiXinPlatformAuthorization 微信第三方平台授权方信息
     * @return 影响记录数
     */
    int insert(WeiXinPlatformAuthorization weiXinPlatformAuthorization);

    /**
     * 查询微信第三方平台授权方信息
     * @return 第三方凭他授权方信息
     */
    List<WeiXinPlatformAuthorization> selectPlatformAuthorization();

    /**
     * 更新授权方accessToken和refreshToken
     * @param authorizationAppId 授权方appId
     * @param accessToken accessToken
     * @param refreshToken refreshToken
     * @return 影响记录数
     */
    int updateAccessTokenAndRefreshToken(@Param("authorizationAppId") String authorizationAppId,
                                         @Param("accessToken") String accessToken,
                                         @Param("refreshToken") String refreshToken);

    /**
     * 删除授权方信息
     * @param authorizationAppId 授权方appId
     * @return 影响记录数
     */
    int delete(String authorizationAppId);
}
