package com.demo.wjj.service;

import com.demo.wjj.po.Agent;

/**
 * 商家
 * @author wangqing
 * @date 2018.11.11
 */
public interface AgentService {

    /**
     * 查询商家
     * @param id 商家id
     * @return 商家
     */
    Agent getAgent(String id);

    /**
     * 查询商家
     * @param id 商家id
     * @return 商家
     */
    Agent getAgentOfId(String id);

    /**
     * 查询商家
     * @param appId appId
     * @return 商家
     */
    Agent getAgentOfAppId(String appId);

    /**
     * 更新商家信息
     * @param id 商家id
     * @param authorizerAppId 公众号id
     * @param name 公众号名称
     * @return 是否更新成功
     */
    boolean updateAgentInfo(String id, String authorizerAppId, String name);

    /**
     * 更新小程序appId
     * @param id id
     * @param authorizerAppId appId
     * @return
     */
    boolean updateXcxAppId(String id, String authorizerAppId);

    /**
     * 检查当前的商户限制销售员数
     * @param agentId
     * @return
     */
    Integer checkSaleNum(String agentId);

    /**
     * 检查积分系统状态
     * @param agentId
     * @return
     */
    Agent selectInteg(String agentId);

}
