package com.demo.wjj.service;

import com.demo.wjj.po.Deposit;

/**
 * @author wangqing
 * @date 2018.11.19
 */
public interface DepositService {

    /**
     * 保存保证金
     * @param deposit 保证金
     * @return 保存是否成功
     */
    boolean save(Deposit deposit);

    /**
     * 更新保证金支付状态
     * @param orderNo 订单编号
     * @param transactionId 微信订单号
     * @param status 状态
     * @return 更新是否成功
     */
    boolean updatePayStatus(String orderNo, String transactionId, String status);

    /**
     * 获取保证金
     * @param id 保证金id
     * @return 保证金
     */
    Deposit getDeposit(String id);

    /**
     * 更新申请退款
     *
     * @param id
     * @param status 状态
     * @param xml 响应xml
     * @return 更新结果
     */
    boolean updateApplyRefund(String id, String status, String xml);

    /**
     * 更新退款
     * @param id 保证金id
     * @param status 状态
     * @param xml xml
     * @return 更新结果
     */
    boolean updateRefund(String id, String status, String xml);
}
