package com.demo.wjj.service;

import com.demo.wjj.po.Dictionary;
import com.demo.wjj.po.TbImgItem;

import java.util.List;
import java.util.Map;

/**
 * 数据字典
 * @author wangqing
 * @date 2018.11.11
 */
public interface DictionaryService {

    /**
     * 设备类型
     */
    String DEVICE_TYPE = "1";

    /**
     * 配置说明
     */
    String CONFIG_INSTRUCTIONS = "3";

    /**
     * 作业履历
     */
    String JOB_RESUME = "2";

    /**
     * 查询数据字典
     * @param type 字典类型
     * @return 数据字典集合
     */
    List<Dictionary> queryDictionaryList(String type);

    /**
     * 查询数据字典映射
     * <p>key: code, value:name</p>
     * @return 数据字典映射
     */
    Map<String, String> queryDictionaryMap();

    /**
     * 获取细节分类
     * @return
     * @param type
     * @param
     */
    List<TbImgItem> queryImgItemListByType(Integer type, Integer bqId);

}
