package com.demo.wjj.service;

import com.demo.wjj.bo.DisplaceDetailBo;
import com.demo.wjj.bo.DisplaceListBo;
import com.demo.wjj.utils.PageBean;
import com.github.pagehelper.PageInfo;

import java.util.Map;

/**
 * 车商置换管理
 * @author wangqing
 * @date 2018.11.17
 */
public interface DiggerAgentDisplaceManageService {

    /**
     * 查询待报价的置换列表
     * @param agentId 商家id
     * @param openId 微信openId
     * @param pageBean pageBean
     * @return 待报价的置换列表
     */
    PageInfo<DisplaceListBo> queryWaitingList(String agentId, String openId, PageBean pageBean);

    /**
     * 查询进行中的置换列表
     * @param agentId 商家id
     * @param openId 微信openId
     * @param pageBean pageBean
     * @return 进行中的置换列表
     */
    PageInfo<DisplaceListBo> queryDoingList(String agentId, String openId, PageBean pageBean);

    /**
     * 查询已结束的置换列表
     * @param agentId 商家id
     * @param openId 微信openId
     * @param pageBean pageBean
     * @return 已结束的置换列表
     */
    Map queryEndList(String date, String agentId, String openId, PageBean pageBean);

    /**
     * 查询我的报价列表
     * @param agentId 商家id
     * @param openId 微信openId
     * @param pageBean pageBean
     * @return 我的报价列表
     */
    PageInfo<DisplaceListBo> queryMyList(String agentId, String openId, PageBean pageBean);

    /**
     * 查询置换详情
     * @param id 置换id
     * @return 置换详情
     */
    DisplaceDetailBo queryDetails(String id);

    /**
     * 查询报价详情
     * @param id 置换id
     * @param agentId
     * @param openId
     * @return 置换详情
     */
    DisplaceDetailBo queryOfferDetails(String id, String agentId, String openId);

    /**
     * 围观
     * @param displaceId 置换业务id
     * @return 围观是否成功
     */
    boolean incrementLookTimes(String displaceId);
}
