package com.demo.wjj.service;

import com.demo.wjj.po.DiggerAgent;

/**
 * 车商
 * @author wangqing
 * @date 2018.11.10
 */
public interface DiggerAgentService {

    /**
     * 保存
     * @param diggerAgent 车商
     * @return 保存是否成功
     */
    boolean save(DiggerAgent diggerAgent);

    /**
     * 查询微信号是否已注册
     *
     * @param agentId
     * @param openId 微信openId
     * @return 微笑号是否已注册
     */
    boolean existsOpenId(String agentId, String openId);

    /**
     * 查询手机号是否已注册
     *
     * @param agentId
     * @param mobile 手机号
     * @return 手机号是否已注册
     */
    boolean existsMobile(String agentId, String mobile);

    /**
     * 查询车商
     * @param agentId 商家id
     * @param openId 车商微信openId
     * @return 车商
     */
    DiggerAgent getDiggerAgent(String agentId, String openId);
    DiggerAgent getDiggerAgentTop(String agentId, String openId);

    /**
     * 解绑车商
     * @param agentId 商家id
     * @param openId 微信openId
     * @return 解绑是否成功
     */
    boolean unbindDiggerAgent(String agentId, String openId);

    /**
     * 更新通票
     * @param daId 车商id
     * @param tp 通票
     * @return 更新是否成功
     */
    boolean updateTp(String daId, String tp);

    /**
     * 获取车商
     * @param daId 车商Id
     * @return 车商数据
     */
    DiggerAgent getOne(String daId);

    /**
     * 更改积分
     * @param userId 车商Id
     * @param integral 增加的积分
     * @return
     */
    boolean updateIntegral(String userId,Integer integral);

    /**
     * 更改会员等级
     * @param userId 车商id
     * @param level 更改的会员等级
     * @return
     */
    boolean updateMemberLevel(String userId,Integer level);

    /**
     * 更改认证状态
     * @param daId
     * @return
     */
    boolean updateState(String daId);
    boolean updateStatus(String diggerAgentId);
    /**
     * 更改微信公众号id
     * @param agentId
     * @param mobile
     * @param openId
     * @return
     */
    boolean updateOpenId(String agentId,String mobile,String openId);
}
