package com.demo.wjj.service;

import com.demo.wjj.bo.DisplaceDetailBo;
import com.demo.wjj.bo.DisplaceListBo;
import com.demo.wjj.po.DisplaceAudit;
import com.demo.wjj.utils.PageBean;
import com.github.pagehelper.PageInfo;

import java.util.Date;

/**
 * 置换审核
 * @author wangqing
 * @date 2018.11.11
 */
public interface DisplaceAuditService {

    /**
     * 保存置换审核
     * @param displaceAudit 置换审核
     * @param updateOperate
     * @return 保存是否成功
     */
    boolean save(DisplaceAudit displaceAudit, boolean updateOperate);

    /**
     * 查询待审核的置换
     * @param agentId 商检
     * @param openId 微信openId
     * @param pageBean pageBean
     * @return 待审核的置换
     */
    PageInfo<DisplaceListBo> queryUndoDisplaceList(String agentId, String openId, PageBean pageBean,String is_good);

    /**
     * 根据类型查询置换
     * @param agentId 商检
     * @param pageBean pageBean
     * @return 设备查询
     */
    PageInfo<DisplaceListBo> queryTypeDisplaceList(String agentId, String openId, String type, PageBean pageBean);

    PageInfo<DisplaceListBo> getDisplaceGoodSaleList(String agentId, String openId, PageBean pageBean);

    PageInfo<DisplaceListBo> getDisplaceStorageList(String agentId, String openId,String storageStatus, PageBean pageBean);

    PageInfo<DisplaceListBo> getDisplaceConfirmList(String agentId, String openId, PageBean pageBean);

    int updateByDisplaceId(String displaceId, String ifDeposit,String storage);



    /**
     * 查询已审核的置换
     * @param agentId 商家id
     * @param openId 微信openId
     * @param pageBean pageBean
     * @return 已审核的置换
     */
    PageInfo<DisplaceListBo> queryDoneDisplaceList(String agentId, String openId, PageBean pageBean,String is_good);

    /**
     * 获取置换详情
     * @param id 置换id
     * @return 置换详情
     */
    DisplaceDetailBo getDisplaceDetail(String id);

    /**
     * 获取置换详情
     * @param displaceId 置换id
     * @return 置换详情
     */
    DisplaceAudit getDisplaceAudit(String displaceId);

    DisplaceAudit getDisplaceDeposit(String displaceId);

    DisplaceAudit selectDisplaceAuditByDisplaceId(String displaceId);


    /**
     * 获取被驳回的置换设备数量
     * @param agentId 商家id
     * @param openId openId
     * @return 被驳回的置换设备数量
     */
    int getRejectedDisplaceCount(String agentId, String openId);

    /**
     * 更新报价结束时间
     * @param id id
     * @param endTime 结束时间
     * @return 更新是否成功
     */
    boolean updateEndTime(String id, Date endTime);
}
