package com.demo.wjj.service;

import com.demo.wjj.bo.DiggerOfferSaveBo;
import com.demo.wjj.bo.DiggerOfferBo;
import com.demo.wjj.po.Offer;
import com.demo.wjj.utils.ExecuteResult;

/**
 * 保证金
 * @author wangqing
 * @date 2018.11.18
 */
public interface OfferService {

    /**
     * 查询商家支付保证金
     * @param agentId 商家id
     * @param openId 微信openId
     * @param displaceId 置换id
     * @return 商家支付保证金
     */
    ExecuteResult<DiggerOfferBo> queryDiggerPayOffer(String agentId, String openId, String displaceId);

    /**
     * 保存报价
     * @param diggerOfferSaveBo 车商报价
     * @return 报价是否成功
     */
    ExecuteResult<Boolean> save(DiggerOfferSaveBo diggerOfferSaveBo);

    /**
     * 查询产品报价详情
     * @param displaceId
     * @return
     */
    Offer selectOne(String displaceId);
}
