package com.demo.wjj.service;

import com.demo.wjj.bo.CreateOrderBo;
import com.demo.wjj.bo.CreateOrderResult;
import com.demo.wjj.utils.ExecuteResult;

/**
 * 固定保证金支付
 * @author WYD
 * @date 2019.06.13
 */
public interface PayforService {
    /**
     *创建订单
     * @param createOrderBo 创建订单
     * @return 创建订单结果
     */
    ExecuteResult<CreateOrderResult> createOrder(CreateOrderBo createOrderBo);
    /**
     * 支付回调
     * @param xmlStr 回调xml
     */
    String payCallback(String xmlStr);
    /**
     * 微信退款
     * @param id 保证金id
     * @return 退款是否成功
     */
    ExecuteResult<String> refund(String id);

    /**
     * 微信退款回调
     * @param depositId
     * @param xml xml
     * @return
     */
    String refundCallback(String depositId, String xml);
}
