package com.demo.wjj.service;

import com.demo.wjj.bo.QiNiuUploadResult;
import com.qiniu.processing.OperationStatus;

import java.io.InputStream;
import java.sql.Blob;

/**
 * 七牛
 * @author wangqing
 * @date 2018.11.14
 */
public interface QiNiuService {

    /**
     * 获取上传文件token
     * @return token
     */
    String getToken();

    /**
     * 获取文件url
     * @param path 文件路径
     * @return 文件url
     */
    String getUrl(String path);

    /**
     * 上传文件
     * @param inputStream 上传文件流
     * @return 上传结果
     */
    QiNiuUploadResult upload(InputStream inputStream);

    OperationStatus persisted(String key);

    /**
     * 流转换
     * @param destUrl
     * @return
     */
    byte[] getInputStream(String destUrl);
}
