package com.demo.wjj.service;

import com.demo.wjj.po.Region;

import java.util.List;

/**
 * 区域
 * @author wangqing
 * @date 2018.11.08
 */
public interface RegionService {

    /**
     * 查询省份
     * @return 省份集合
     */
    List<Region> queryProvinceList();

    /**
     * 查询地市
     * @param provinceId 省份id
     * @return 地市集合
     */
    List<Region> queryCityList(int provinceId);

    /**
     * 查询区县
     * @param cityId 地市id
     * @return 区县集合
     */
    List<Region> queryCountyList(int cityId);

    /**
     * 查询区域集合
     * @param ids id
     * @return 区域集合
     */
    List<Region> queryRegionList(List<Integer> ids);

    /**
     * 组装区域名称
     * @param provinceId 省份id
     * @param cityId     地市id
     * @param countyId   区县id
     * @return 区域id, 区域名称
     */
    String[] assemblyArea(Integer provinceId, Integer cityId, Integer countyId);
}
