package com.demo.wjj.service;

import com.demo.wjj.po.Sale;

/**
 * 销售
 * @author wangqing
 * @date 2018.11.10
 */
public interface SaleService {

    /**
     * 保存
     * @param sale 销售
     * @return 保存是否成功
     */
    boolean save(Sale sale);

    /**
     * 获取销售人员
     *
     * @param agentId
     * @param openId 微信openId
     * @return 销售人员
     */
    Sale getSale(String agentId, String openId);

    /**
     * 获取销售人员
     * @param saleId 销售员id
     * @return
     */
    Sale getSale(String saleId);

    /**
     * 微信号是否已注册
     *
     * @param agentId
     * @param openId 微信openId
     * @return 是否已注册
     */
    boolean existsOpenId(String agentId, String openId);

    /**
     * 手机号是否已注册
     *
     * @param agentId
     * @param mobile 手机号
     * @return 是否已注册
     */
    boolean existsMobile(String agentId, String mobile);

    /**
     * 解绑
     * @param agentId 商家id
     * @param openId 微信openId
     * @return 解绑是否成功
     */
    boolean unbind(String agentId, String openId);
    /**
     * 修改公众号id
     * @param agentId
     * @param mobile
     * @param openId
     * @return
     */
    boolean updateOpenId(String agentId,String mobile,String openId);

    /**
     * icegan--新增，更新销售员会员等级
     * @param agentId
     * @param mobile
     * @param memberLevel
     * @return
     */
    boolean updateMemberLevel(String agentId, String mobile, Integer memberLevel);

    /**
     * icegan--新增，更新销售员积分
     * @param openId
     * @param integral
     * @return
     */
    boolean addIntegral(String openId, Integer integral);

    /**
     * icegan--更新销售员等级
     * @param saleId
     * @param memberLevel
     * @return
     */
    boolean updateMemberLevelBySaleId(String saleId, Integer memberLevel);

    /**
     * 更新销售员通票用户状态
     * @param saleId
     * @param platTpSet
     * @return
     */
    boolean updatePlatTpSet(String saleId, Integer platTpSet);
}
