package com.demo.wjj.service;

import com.demo.wjj.bo.UserRegisterBo;
import com.demo.wjj.utils.ExecuteResult;

/**
 * 用户
 * @author wangqing
 * @date 2018.11.10
 */
public interface UserService {

    /**
     * 注册
     * @param userRegisterBo 用户注册
     * @return 注册是否成功
     */
    ExecuteResult<Boolean> register(UserRegisterBo userRegisterBo);

    /**
     * 查询微信号是否已注册销售员
     * @param agentId 商家id
     * @param openId 微信openId
     * @return 微信号是否已注册销售员
     */
    boolean querySale(String agentId, String openId);

    /**
     * 查询微信号是否已注册车商
     * @param agentId 商家id
     * @param openId 微信openId
     * @return 微信号是否已注册车商
     */
    boolean queryDiggerAgent(String agentId, String openId);

    /**
     * 解绑
     * @param agentId 商家id
     * @param openId 微信openId
     * @param unbindFlag 解绑标识
     * @return 解绑是否成功
     */
    boolean unbindUser(String agentId, String openId, String unbindFlag);
}
