package com.demo.wjj.service;

import com.demo.wjj.bo.AuthorizationUrlBo;
import com.demo.wjj.bo.CallbackTicketBo;
import com.demo.wjj.utils.wechat.AesException;
import org.dom4j.DocumentException;

import java.util.Map;

/**
 * 微信
 * @author wangqing
 * @date 2019.01.30
 */
public interface WeChatService {

    /**
     * 解析回调票据
     *
     * @param callbackTicketBo@return 解析是否成功
     */
    boolean parseCallbackTicket(CallbackTicketBo callbackTicketBo) throws AesException, DocumentException;

    /**
     * 解析回调授权码
     * @param authorizationCode 授权码
     * @param id
     * @param authType
     * @return 是否成功
     */
    boolean resolveCallbackAuthorization(String authorizationCode, String id, String authType);

    /**
     * 生成授权url
     * @return 授权url
     * @param authorizationUrlBo 授权url
     */
    String generateAuthorizationUrl(AuthorizationUrlBo authorizationUrlBo);

    /**
     * 查询菜单
     * @param authorizerAppid 授权方appId
     * @return 菜单
     */
    String getMenus(String authorizerAppid);

    String deleteMenus(String authorizerAppid);

    String createMenus(String authorizerAppid, String menusJson);

    Map<String, String> getTemplate(String id, String templateName);

    String uploadCode(String authorizerAppid);

    String getCategory(String authorizerAppid);

    String getPages(String authorizerAppid);

    String submitAudit(String id, String json);

    String publishCode(String id);

    /**
     * 推送待上架微信消息
     * @param id 置换id
     * @return
     */
    boolean pushWaitShelvesMessage(String id, String displaceId);

    String getToken(String appId);
}
