package com.demo.wjj.service;

import com.demo.wjj.po.WeiXinPay;

/**
 * 微信支付订单
 * @author wangqing
 * @date 2018.11.15
 */
public interface WeiXinPayService {

    /**
     * 保存微信支付订单
     * @param weiXinPay 微信支付订单
     * @return 保存是否成功
     */
    boolean save(WeiXinPay weiXinPay);

    /**
     * 获取微信支付订单
     * @param outTradeNo 商家订单号
     * @return 微信支付订单
     */
    WeiXinPay get(String outTradeNo);

    /**
     * 更新订单状态
     * @param id 订单id
     * @param status 状态
     * @return 更新是否成功
     */
    boolean updateOrderStatus(int id, int status);

    /**
     * 更新订单回调xml
     * @param orderNo 订单编号
     * @param xml xml
     * @return 更新是否成功
     */
    boolean updateOrderCallback(String orderNo, String xml);
}
