package com.demo.wjj.service.impl;

import com.demo.wjj.po.Authentication;
import com.demo.wjj.mapper.AuthenticationMapper;
import com.demo.wjj.service.AuthenticationService;
import com.demo.wjj.utils.CommitTransactional;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.Date;


@Service
public class AuthenticationServiceImpl implements AuthenticationService {
    private final Logger LOG = LoggerFactory.getLogger(getClass());
    @Autowired
    private AuthenticationMapper authenticationMapper;
    @Override
    @CommitTransactional
    public boolean save(Authentication authentication) {
        LOG.info("进入保存车商审核，authentication:{}",authentication);
        if(authentication==null){
            LOG.warn("对象为空");
            return false;
        }
            Date date = new Date();
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
            String format = sdf.format(date);
            authentication.setAddTime(format);
        boolean result;
        result = authenticationMapper.insert(authentication);
        LOG.info("退出保存车商审核，result => {}", result);
        return result;
    }

    @Override
    public Authentication selectOne(String id) {
        LOG.info("进入查询车商审核，id:{}",id);
        Authentication authentication =  authenticationMapper.selectById(id);
        LOG.info("退出查询车商审核，authentication:{}",authentication);
        return authentication;


    }

    @Override
    public Authentication selectByUserId(String userId) {
        LOG.info("进入查询车商审核，userId:{}",userId);
        Authentication authentication =  authenticationMapper.selectByUserId(userId);
        LOG.info("退出查询车商审核，authentication:{}",authentication);
        return authentication;
    }

    @Override
    public int delete(String userId) {
        LOG.info("进入删除车商审核，userId:{}",userId);
        int result =  authenticationMapper.delete(userId);
        LOG.info("退出删除车商审核，result:{}",result);
        return result;
    }
}
