package com.demo.wjj.service.impl;

import com.demo.wjj.mapper.BrandMapper;
import com.demo.wjj.po.Brand;
import com.demo.wjj.service.BrandService;
import com.demo.wjj.utils.ReadOnlyTransactional;
import org.apache.commons.collections4.CollectionUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 品牌
 * @author wangqing
 * @date 2018.11.10
 */
@Service
public class BrandServiceImpl implements BrandService {

    private final Logger LOG = LoggerFactory.getLogger(getClass());

    @Autowired
    private BrandMapper brandMapper;

    @ReadOnlyTransactional
    @Override
    public List<Brand> queryBrandList() {
        LOG.info("进入获取品牌列表");
        List<Brand> brands = brandMapper.selectBrandList(null);
        LOG.info("退出获取品牌列表");
        LOG.debug("获取品牌列表, brands:{}", brands);
        return brands;
    }

    @Override
    public List<Brand> queryBrandList(List<Integer> ids) {
        LOG.info("进入获取品牌列表, id:{}", ids);

        if (CollectionUtils.isEmpty(ids)) {
            LOG.info("品牌id为空");
            return null;
        }

        List<Brand> brands = brandMapper.selectBrandList(ids);
        LOG.info("退出获取品牌列表");
        LOG.debug("获取品牌列表, brands:{}", brands);
        return brands;
    }
}
