package com.demo.wjj.service.impl;

import com.demo.wjj.mapper.DemoMapper;
import com.demo.wjj.po.Demo;
import com.demo.wjj.service.DemoService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * demo实现类
 * @author wangqing
 * @date 2018.11.07
 */
@Service
public class DemoServiceImpl implements DemoService {

    private final Logger LOG = LoggerFactory.getLogger(getClass());

    @Autowired
    private DemoMapper demoMapper;

    @Transactional(readOnly = true, rollbackFor = Exception.class)
    @Override
    public Demo get(int id) {
        LOG.info("获取demo, id:{}", id);
        Demo demo = demoMapper.select(id);
        LOG.info("获取demo end, demo:{}", demo);
        return demo;
    }
}
