package com.demo.wjj.service.impl;

import com.demo.wjj.mapper.DiggerAgentAddressMapper;
import com.demo.wjj.po.DiggerAgentAddress;
import com.demo.wjj.service.DiggerAgentAddressService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class DiggerAgentAddressServiceImpl implements DiggerAgentAddressService {
    private final Logger LOG = LoggerFactory.getLogger(getClass());
    @Autowired
    DiggerAgentAddressMapper diggerAgentAddressMapper;
    @Override
    public boolean save(DiggerAgentAddress diggerAgentAddress) {
        return diggerAgentAddressMapper.insert(diggerAgentAddress);
    }

    @Override
    public List<DiggerAgentAddress> select() {
        LOG.info("进入查询车商收货人地址接口");
        List<DiggerAgentAddress> diggerAgentAddressList = diggerAgentAddressMapper.select();
        LOG.info("退出查询车商收货人地址接口");
        LOG.debug("获取地址列表, diggerAgentAddressList:{}", diggerAgentAddressList);
        return diggerAgentAddressList ;
    }

    @Override
    public DiggerAgentAddress selectOne(String userId) {
        LOG.info("进入查询单个车商收货人地址接口");
        DiggerAgentAddress diggerAgentAddress = diggerAgentAddressMapper.selectOne(userId);
        LOG.info("退出查询单个车商收货人地址接口");
        LOG.debug("获取地址信息, diggerAgentAddress:{}", diggerAgentAddress);
        return diggerAgentAddress ;
    }

    @Override
    public boolean delete(String userId) {
        LOG.info("进入删除车商个人信息接口");
        boolean result = diggerAgentAddressMapper.delete(userId)>1;
        LOG.info("退出查询删除车商个人信息接口");
        return result ;
    }
}
