package com.demo.wjj.service.impl;

import com.demo.wjj.bo.ImgListBo;
import com.demo.wjj.mapper.ImgListMapper;
import com.demo.wjj.po.ImgList;
import com.demo.wjj.service.ImgListService;
import com.demo.wjj.utils.ReadOnlyTransactional;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 手机端置换列表
 * @author wangqing
 * @date 2018.11.12
 */
@Service
public class ImgListServiceImpl implements ImgListService {

    private final Logger LOG = LoggerFactory.getLogger(getClass());

    @Autowired
    private ImgListMapper imgListMapper;

    @ReadOnlyTransactional
    @Override
    public List<ImgList> queryMobileDisplaceList() {
        LOG.info("进入查询手机端置换图片列表");
        List<ImgList> imgLists = imgListMapper.selectMobileDisplaceList();
        LOG.info("退出查询手机端置换图片列表");
        return imgLists;
    }

    @Override
    public List<ImgList> queryAllDisplaceList() {
        LOG.info("进入查询全部置换图片列表");
        List<ImgList> imgLists = imgListMapper.selectAllDisplaceList();
        LOG.info("退出查询全部置换图片列表");
        return imgLists;
    }

    @Override
    public List<ImgListBo> getMobileImgList(Integer listOrder) {
        LOG.info("进入查询全部置换图片小分类列表");
        List<ImgListBo> ImgListBos = imgListMapper.getMobileImgList(listOrder);
        LOG.info("退出查询全部置换图片小分类列表");
        return ImgListBos;
    }
}
