package com.demo.wjj.service.impl;

import com.demo.wjj.mapper.IntegralRecordMapper;
import com.demo.wjj.po.IntegralRecord;
import com.demo.wjj.service.IntegralRecordService;
import com.demo.wjj.utils.CommitTransactional;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class IntegralRecordServiceImpl implements IntegralRecordService {
    private final Logger LOG = LoggerFactory.getLogger(getClass());

    @Autowired
    IntegralRecordMapper integralRecordMapper;
    @Override
    @CommitTransactional
    public boolean save(IntegralRecord integralRecord) {
        LOG.info("进入保存礼品兑换记录，integralRecord:{}",integralRecord);
        if(integralRecord==null){
            LOG.warn("对象为空");
            return false;
        }
        boolean result = integralRecordMapper.insert(integralRecord)>0;
        LOG.info("退出保存礼品兑换记录，integralRecord:{}",integralRecord);

        return result;
    }

    @Override
    public List<IntegralRecord> select(String userId) {
        LOG.info("进入查询礼品兑换记录，userId",userId);
        if(userId==null){
            LOG.warn("userId为空");
            return null;
        }
        List<IntegralRecord> list = integralRecordMapper.selectById(userId);
        return list;
    }
    @Override
    public int selectCounts(String userId, String presentId) {
        LOG.info("进入查询兑换记录数量，userId:{},presentId:{}",userId,presentId);
        return integralRecordMapper.selectCounts(userId,presentId);
    }
}
