package com.demo.wjj.service.impl;

import com.demo.wjj.mapper.OfferDetailMapper;
import com.demo.wjj.po.OfferDetail;
import com.demo.wjj.service.OfferDetailService;
import com.demo.wjj.utils.CommitTransactional;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author wangqing
 * @date 2018.11.19
 */
@Service
public class OfferDetailServiceImpl implements OfferDetailService {

    private final Logger LOG = LoggerFactory.getLogger(getClass());

    @Autowired
    private OfferDetailMapper offerDetailMapper;

    @CommitTransactional
    @Override
    public boolean save(OfferDetail offerDetail) {
        LOG.info("进入保存报价详情, offerDetail:{}", offerDetail);
        boolean saveResult = offerDetailMapper.insert(offerDetail) > 0;
        LOG.info("退出保存报价详情, result => {}", saveResult);
        return saveResult;
    }
}
