package com.demo.wjj.service.impl;

import com.demo.wjj.service.WeiGongChengService;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

/**
 * 微工程
 * @author wangqing
 * @date 2018.12.08
 */

@Service
public class WeiGongChengServiceImpl implements WeiGongChengService {

    private final Logger LOG = LoggerFactory.getLogger(getClass());

    @Value("WGC000")
    private String platformAgentId;

//    @Value("XJY00")
//    private String platformAgentId;

    @Override
    public boolean hasPlatformAuthority(String agentId) {
        LOG.info("进入查询是否有平台可见权限, agentId:{}", agentId);
        final boolean hasAuthority = StringUtils.isNoneBlank(agentId) && agentId.equalsIgnoreCase(platformAgentId);
        LOG.info("退出查询是否有平台可见权限, result => {}", hasAuthority);
        return hasAuthority;
    }
}
