package com.demo.wjj.service.impl;

import com.demo.wjj.mapper.WeiXinTicketMapper;
import com.demo.wjj.po.WeiXinTicket;
import com.demo.wjj.service.WeiXinTicketService;
import com.demo.wjj.utils.CommitTransactional;
import com.demo.wjj.utils.ReadOnlyTransactional;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *
 * @author wangqing
 * @date 2019/02/03
 */
@Service
public class WeiXinTicketServiceImpl implements WeiXinTicketService {

    private final Logger LOG = LoggerFactory.getLogger(getClass());

    @Autowired
    private WeiXinTicketMapper weiXinTicketMapper;

    @CommitTransactional
    @Override
    public synchronized boolean save(WeiXinTicket weiXinTicket) {
        LOG.info("进入保存微信回调票据, ticket:{}", weiXinTicket);
        final WeiXinTicket ticket = weiXinTicketMapper.selectTicket(weiXinTicket.getAppId());
        boolean result;
        if (ticket == null) {
            result = weiXinTicketMapper.insert(weiXinTicket) > 0;
        } else {
            result = weiXinTicketMapper.update(weiXinTicket) > 0;
        }

        LOG.info("退出保存微信回调票据, result:{}", result);
        return result;
    }

    @ReadOnlyTransactional
    @Override
    public List<WeiXinTicket> getTicketList() {
        LOG.info("进入查询微信ticket");
        List<WeiXinTicket> weiXinTickets = weiXinTicketMapper.selectTicketList();
        LOG.info("退出查询微信ticket");
        LOG.debug("微信ticket:{}", weiXinTickets);
        return weiXinTickets;
    }
}
