package com.demo.wjj.utils;

import com.alibaba.fastjson.JSON;

/**
 * api结果
 * @author wangqing
 * @date 2018.11.07
 */
public class ApiResult<T> {

    /**
     * 结果编码
     */
    private Integer code;

    /**
     * 结果信息
     */
    private String message;

    /**
     * 结果数据
     */
    private T data;

    public ApiResult(Result result) {
        this.code = result.getCode();
        this.message = result.getMessage();
    }

    /**
     * 创建成功结果
     * @param data 响应数据
     * @param <T> 响应数据类型
     * @return apiResult
     */
    public static <T> ApiResult<T> createSuccess(T data) {
        final ApiResult<T> apiResult = new ApiResult<>(Result.SUCCESS);
        apiResult.setData(data);
        return apiResult;
    }

    /**
     * 创建失败结果
     * @return apiResult
     */
    public static ApiResult createFailure() {
        return new ApiResult(Result.Failure);
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }
}
