package com.demo.wjj.utils;

import com.alibaba.fastjson.JSON;
import com.qiniu.util.Json;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.math.NumberUtils;

import javax.servlet.http.HttpServletRequest;

/**
 * @author wangqing
 * @date 2018.11.15
 */
public class PageBean {

    private static final int MIN_PAGE_NUM = 1;

    private static final int MAX_PAGE_SIZE = 50;

    private static final int DEFAULT_PAGE_SIZE = 1000;

    private int pageSize;

    private int pageNum;

    public static PageBean create(HttpServletRequest request) {
        String pageSize = request.getParameter("pageSize");
        String pageNum = request.getParameter("pageNum");
        int ps;
        int pn;

        if (StringUtils.isBlank(pageSize) || !NumberUtils.isDigits(pageSize)) {
            ps = DEFAULT_PAGE_SIZE;
        } else {
            ps = Integer.parseInt(pageSize);
            if (ps > MAX_PAGE_SIZE) {
                ps = DEFAULT_PAGE_SIZE;
            }
        }

        if (StringUtils.isBlank(pageNum) || !NumberUtils.isDigits(pageNum)) {
            pn = MIN_PAGE_NUM;
        } else {
            pn = Integer.parseInt(pageNum);
            if (pn < MIN_PAGE_NUM) {
                pn = MIN_PAGE_NUM;
            }
        }

        PageBean pageBean = new PageBean();
        pageBean.setPageNum(pn);
        pageBean.setPageSize(ps);
        return pageBean;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public int getPageNum() {
        return pageNum;
    }

    public void setPageNum(int pageNum) {
        this.pageNum = pageNum;
    }
}
