package com.demo.wjj.service;

import com.demo.wjj.po.Dictionary;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

import static org.junit.Assert.*;

/**
 * @author wangqing
 * @date 2018.11.11
 */
public class DictionaryServiceTest extends BaseTest {

    @Autowired
    private DictionaryService dictionaryService;

    @Test
    public void queryDictionaryList() {
        List<Dictionary> deviceType = dictionaryService.queryDictionaryList(DictionaryService.DEVICE_TYPE);
        assertNotNull(deviceType);
        assertSame(1, deviceType.size());
//        assertEquals("DT01", deviceType.get(0).getCode());
        assertEquals("挖掘机", deviceType.get(0).getName());

        List<Dictionary> configInstructions = dictionaryService.queryDictionaryList(DictionaryService.CONFIG_INSTRUCTIONS);
        assertNotNull(configInstructions);
        assertSame(2, configInstructions.size());
//        assertEquals("CI01", configInstructions.get(0).getCode());
        assertEquals("铲斗", configInstructions.get(0).getName());
//        assertEquals("CI02", configInstructions.get(1).getCode());
        assertEquals("破碎锤", configInstructions.get(1).getName());

        List<Dictionary> jobResume = dictionaryService.queryDictionaryList(DictionaryService.JOB_RESUME);
        assertNotNull(jobResume);
        assertSame(2, jobResume.size());
//        assertEquals("JR01", jobResume.get(0).getCode());
        assertEquals("挖掘作业", jobResume.get(0).getName());
//        assertEquals("JR02", jobResume.get(1).getCode());
        assertEquals("破碎作业", jobResume.get(1).getName());
    }
}