package com.demo.wjj.service;

import com.demo.wjj.bo.SaveDisplaceBo;
import com.demo.wjj.utils.ExecuteResult;
import org.junit.Before;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.annotation.Commit;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import static org.junit.Assert.*;

/**
 * @author wangqing
 * @date 2018.11.13
 */
public class DisplaceManageTest extends BaseTest {

    @Autowired
    private DisplaceManage displaceManage;

    private SaveDisplaceBo saveDisplaceBo;

    @Before
    public void setup() {
        saveDisplaceBo = new SaveDisplaceBo();
//        saveDisplaceBo.setDisplaceId("95d8a618112e415ab0c56abc2ecd64c7");
        saveDisplaceBo.setAgentId("jm123");
        saveDisplaceBo.setOpenId("oEftX0m8iIhXpdYZ7reF3JIbdiTo");
        saveDisplaceBo.setBrand("小松");
        saveDisplaceBo.setModel("M-001");
        saveDisplaceBo.setHours("5000");
        saveDisplaceBo.setYearMonth("2013年5月");
        saveDisplaceBo.setProvinceId(1);
        saveDisplaceBo.setCityId(3);
        saveDisplaceBo.setCountyId(8);
        saveDisplaceBo.setDeviceType("3");
        saveDisplaceBo.setConfig("44");
        saveDisplaceBo.setJobResume("4");
        saveDisplaceBo.setTicket("1,1");
        saveDisplaceBo.setMobile("13695604981");
        saveDisplaceBo.setUsername("martin");
        saveDisplaceBo.setOther("不包邮");

        List<SaveDisplaceBo.DisplaceImageList> imageList = new ArrayList<>();
        SaveDisplaceBo.DisplaceImageList image1 = new SaveDisplaceBo.DisplaceImageList();
        image1.setCode("IMG_1");
        image1.setPic(Arrays.asList("pic1.jpg", "pic10.jpg"));
        imageList.add(image1);

        SaveDisplaceBo.DisplaceImageList image2 = new SaveDisplaceBo.DisplaceImageList();
        image2.setCode("IMG_10");
        image2.setPic(Arrays.asList("pic2.jpg", "pic20.jpg"));
        imageList.add(image2);

        saveDisplaceBo.setPicture(imageList);
    }

    @Commit
    @Transactional
    @Test
    public void save() {
        ExecuteResult<Boolean> saveResult = displaceManage.save(saveDisplaceBo);
        assertTrue(saveResult.isExecuteResult());
        assertTrue(saveResult.getData());
    }
}