package com.demo.wjj.service;

import com.demo.wjj.bo.CreateOrderBo;
import com.demo.wjj.bo.CreateOrderResult;
import com.demo.wjj.utils.ExecuteResult;
import org.junit.Before;
import org.junit.Ignore;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.annotation.Commit;
import org.springframework.transaction.annotation.Transactional;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

/**
 * @author wangqing
 * @date 2018.11.14
 */
public class PayServiceTest extends BaseTest {

    @Autowired
    private PayService payService;

    private CreateOrderBo createOrderBo;

    @Before
    public void setup() {
        createOrderBo = new CreateOrderBo();
        createOrderBo.setClientIp("127.0.0.1");
        createOrderBo.setProductId("ZH0003");
        createOrderBo.setOpenId("testOpenId");
        createOrderBo.setAgentId("aaabbb");
        createOrderBo.setMobile("13695604981");
        createOrderBo.setName("martin");
//        createOrderBo.setTp(1);
    }

    @Ignore
    @Commit
    @Transactional
    @Test
    public void createOrder() {
        ExecuteResult<CreateOrderResult> executeResult = payService.createOrder(createOrderBo);
        assertTrue(executeResult.isExecuteResult());
    }

    @Ignore
    @Commit
    @Transactional
    @Test
    public void testRefund() {
        final ExecuteResult<String> executeResult = payService.refund("0bbff3b4c8694f1cbec89606e592bb0e");
        assertTrue(executeResult.isExecuteResult());
    }

    @Test
    @Transactional
    @Commit
    public void testRefundCallback() {
        final String depositId = "0bbff3b4c8694f1cbec89606e592bb0e";
        final String xml = "<xml>" +
                "<return_code>SUCCESS</return_code>" +
                "   <appid><![CDATA[wx2421b1c4370ec43b]]></appid>" +
                "   <mch_id><![CDATA[10000100]]></mch_id>" +
                "   <nonce_str><![CDATA[TeqClE3i0mvn3DrK]]></nonce_str>" +
                "   <req_info><![CDATA[<root>" +
                "<out_refund_no><![CDATA[131811191610442717309]]></out_refund_no>" +
                "<out_trade_no><![CDATA[71106718111915575302817]]></out_trade_no>" +
                "<refund_account><![CDATA[REFUND_SOURCE_RECHARGE_FUNDS]]></refund_account>" +
                "<refund_fee><![CDATA[3960]]></refund_fee>" +
                "<refund_id><![CDATA[50000408942018111907145868882]]></refund_id>" +
                "<refund_recv_accout><![CDATA[支付用户零钱]]></refund_recv_accout>" +
                "<refund_request_source><![CDATA[API]]></refund_request_source>" +
                "<refund_status><![CDATA[SUCCESS]]></refund_status>" +
                "<settlement_refund_fee><![CDATA[3960]]></settlement_refund_fee>" +
                "<settlement_total_fee><![CDATA[3960]]></settlement_total_fee>" +
                "<success_time><![CDATA[2018-11-19 16:24:13]]></success_time>" +
                "<total_fee><![CDATA[3960]]></total_fee>" +
                "<transaction_id><![CDATA[4200000215201811190261405420]]></transaction_id>" +
                "</root>]]></req_info>" +
                "</xml>";
        final String result = payService.refundCallback(depositId, xml);
        assertEquals("SUCCESS", result);

    }
}