package com.demo.wjj.service;

import com.demo.wjj.po.Region;
import org.junit.Assert;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

import static org.junit.Assert.*;

/**
 * @author wangqing
 * @date 2018.11.08
 */
public class RegionServiceTest extends BaseTest {

    @Autowired
    private RegionService regionService;

    @Transactional
    @Test
    public void queryProvinceList() {
        List<Region> regions = regionService.queryProvinceList();
        assertNotNull(regions);
        assertSame(2, regions.size());

        assertSame(1, regions.get(0).getId());
        assertEquals("安徽省", regions.get(0).getName());

        assertSame(2, regions.get(1).getId());
        assertEquals("江苏省", regions.get(1).getName());
    }

    @Transactional
    @Test
    public void queryCityList() {
        final int provinceId = 1;
        final List<Region> regions = regionService.queryCityList(provinceId);
        assertNotNull(regions);
        assertSame(3, regions.size());

        assertSame(3, regions.get(0).getId());
        assertEquals("合肥市", regions.get(0).getName());

        assertSame(4, regions.get(1).getId());
        assertEquals("六安市", regions.get(1).getName());

        assertSame(5, regions.get(2).getId());
        assertEquals("阜阳市", regions.get(2).getName());
    }

    @Transactional
    @Test
    public void queryCountyList() {
        final int cityId = 3;
        final List<Region> regions = regionService.queryCountyList(cityId);
        assertNotNull(regions);
        assertSame(2, regions.size());

        assertSame(8, regions.get(0).getId());
        assertEquals("肥东县", regions.get(0).getName());

        assertSame(9, regions.get(1).getId());
        assertEquals("肥西县", regions.get(1).getName());
    }
}